#include "pluto.h"

void ct_bw    (unsigned char *, unsigned  char *, unsigned  char *);
void ct_red   (unsigned char *, unsigned  char *, unsigned  char *);
void ct_br    (unsigned char *, unsigned  char *, unsigned  char *);
void ct_blue  (unsigned char *, unsigned  char *, unsigned  char *);
void ct_green (unsigned char *, unsigned  char *, unsigned  char *);
void ct_jet(unsigned char *r, unsigned char *g, unsigned char *b);

/* ********************************************************* */
void SetColorMap (unsigned char *r, unsigned char *g, 
                   unsigned char *b, char *map_name)
/* 
 *
 *
 *
 *
 ************************************************************ */
{
  int  ii;

  if      (!strcmp(map_name,"bw"))    ct_bw(r,g,b);
  else if (!strcmp(map_name,"red"))   ct_red(r,g,b);
  else if (!strcmp(map_name,"br"))    ct_br(r,g,b);
  else if (!strcmp(map_name,"blue"))  ct_blue(r,g,b);
  else if (!strcmp(map_name,"green")) ct_green(r,g,b);
  else if (!strcmp(map_name,"jet"))   ct_jet(r,g,b);
  else { 
    printf (" ? Colormap is not defined, using B&W\n");
    ct_bw(r,g,b);
  }

}

void ct_bw(unsigned char *r, unsigned char *g, unsigned char *b)
/*
 *
 * RGB Color table, Black and White
 *
 */
{
  r [  0] =    0;  g [  0] =    0;  b [  0] =    0;
  r [  1] =    1;  g [  1] =    1;  b [  1] =    1;
  r [  2] =    2;  g [  2] =    2;  b [  2] =    2;
  r [  3] =    3;  g [  3] =    3;  b [  3] =    3;
  r [  4] =    4;  g [  4] =    4;  b [  4] =    4;
  r [  5] =    5;  g [  5] =    5;  b [  5] =    5;
  r [  6] =    6;  g [  6] =    6;  b [  6] =    6;
  r [  7] =    7;  g [  7] =    7;  b [  7] =    7;
  r [  8] =    8;  g [  8] =    8;  b [  8] =    8;
  r [  9] =    9;  g [  9] =    9;  b [  9] =    9;
  r [ 10] =   10;  g [ 10] =   10;  b [ 10] =   10;
  r [ 11] =   11;  g [ 11] =   11;  b [ 11] =   11;
  r [ 12] =   12;  g [ 12] =   12;  b [ 12] =   12;
  r [ 13] =   13;  g [ 13] =   13;  b [ 13] =   13;
  r [ 14] =   14;  g [ 14] =   14;  b [ 14] =   14;
  r [ 15] =   15;  g [ 15] =   15;  b [ 15] =   15;
  r [ 16] =   16;  g [ 16] =   16;  b [ 16] =   16;
  r [ 17] =   17;  g [ 17] =   17;  b [ 17] =   17;
  r [ 18] =   18;  g [ 18] =   18;  b [ 18] =   18;
  r [ 19] =   19;  g [ 19] =   19;  b [ 19] =   19;
  r [ 20] =   20;  g [ 20] =   20;  b [ 20] =   20;
  r [ 21] =   21;  g [ 21] =   21;  b [ 21] =   21;
  r [ 22] =   22;  g [ 22] =   22;  b [ 22] =   22;
  r [ 23] =   23;  g [ 23] =   23;  b [ 23] =   23;
  r [ 24] =   24;  g [ 24] =   24;  b [ 24] =   24;
  r [ 25] =   25;  g [ 25] =   25;  b [ 25] =   25;
  r [ 26] =   26;  g [ 26] =   26;  b [ 26] =   26;
  r [ 27] =   27;  g [ 27] =   27;  b [ 27] =   27;
  r [ 28] =   28;  g [ 28] =   28;  b [ 28] =   28;
  r [ 29] =   29;  g [ 29] =   29;  b [ 29] =   29;
  r [ 30] =   30;  g [ 30] =   30;  b [ 30] =   30;
  r [ 31] =   31;  g [ 31] =   31;  b [ 31] =   31;
  r [ 32] =   32;  g [ 32] =   32;  b [ 32] =   32;
  r [ 33] =   33;  g [ 33] =   33;  b [ 33] =   33;
  r [ 34] =   34;  g [ 34] =   34;  b [ 34] =   34;
  r [ 35] =   35;  g [ 35] =   35;  b [ 35] =   35;
  r [ 36] =   36;  g [ 36] =   36;  b [ 36] =   36;
  r [ 37] =   37;  g [ 37] =   37;  b [ 37] =   37;
  r [ 38] =   38;  g [ 38] =   38;  b [ 38] =   38;
  r [ 39] =   39;  g [ 39] =   39;  b [ 39] =   39;
  r [ 40] =   40;  g [ 40] =   40;  b [ 40] =   40;
  r [ 41] =   41;  g [ 41] =   41;  b [ 41] =   41;
  r [ 42] =   42;  g [ 42] =   42;  b [ 42] =   42;
  r [ 43] =   43;  g [ 43] =   43;  b [ 43] =   43;
  r [ 44] =   44;  g [ 44] =   44;  b [ 44] =   44;
  r [ 45] =   45;  g [ 45] =   45;  b [ 45] =   45;
  r [ 46] =   46;  g [ 46] =   46;  b [ 46] =   46;
  r [ 47] =   47;  g [ 47] =   47;  b [ 47] =   47;
  r [ 48] =   48;  g [ 48] =   48;  b [ 48] =   48;
  r [ 49] =   49;  g [ 49] =   49;  b [ 49] =   49;
  r [ 50] =   50;  g [ 50] =   50;  b [ 50] =   50;
  r [ 51] =   51;  g [ 51] =   51;  b [ 51] =   51;
  r [ 52] =   52;  g [ 52] =   52;  b [ 52] =   52;
  r [ 53] =   53;  g [ 53] =   53;  b [ 53] =   53;
  r [ 54] =   54;  g [ 54] =   54;  b [ 54] =   54;
  r [ 55] =   55;  g [ 55] =   55;  b [ 55] =   55;
  r [ 56] =   56;  g [ 56] =   56;  b [ 56] =   56;
  r [ 57] =   57;  g [ 57] =   57;  b [ 57] =   57;
  r [ 58] =   58;  g [ 58] =   58;  b [ 58] =   58;
  r [ 59] =   59;  g [ 59] =   59;  b [ 59] =   59;
  r [ 60] =   60;  g [ 60] =   60;  b [ 60] =   60;
  r [ 61] =   61;  g [ 61] =   61;  b [ 61] =   61;
  r [ 62] =   62;  g [ 62] =   62;  b [ 62] =   62;
  r [ 63] =   63;  g [ 63] =   63;  b [ 63] =   63;
  r [ 64] =   64;  g [ 64] =   64;  b [ 64] =   64;
  r [ 65] =   65;  g [ 65] =   65;  b [ 65] =   65;
  r [ 66] =   66;  g [ 66] =   66;  b [ 66] =   66;
  r [ 67] =   67;  g [ 67] =   67;  b [ 67] =   67;
  r [ 68] =   68;  g [ 68] =   68;  b [ 68] =   68;
  r [ 69] =   69;  g [ 69] =   69;  b [ 69] =   69;
  r [ 70] =   70;  g [ 70] =   70;  b [ 70] =   70;
  r [ 71] =   71;  g [ 71] =   71;  b [ 71] =   71;
  r [ 72] =   72;  g [ 72] =   72;  b [ 72] =   72;
  r [ 73] =   73;  g [ 73] =   73;  b [ 73] =   73;
  r [ 74] =   74;  g [ 74] =   74;  b [ 74] =   74;
  r [ 75] =   75;  g [ 75] =   75;  b [ 75] =   75;
  r [ 76] =   76;  g [ 76] =   76;  b [ 76] =   76;
  r [ 77] =   77;  g [ 77] =   77;  b [ 77] =   77;
  r [ 78] =   78;  g [ 78] =   78;  b [ 78] =   78;
  r [ 79] =   79;  g [ 79] =   79;  b [ 79] =   79;
  r [ 80] =   80;  g [ 80] =   80;  b [ 80] =   80;
  r [ 81] =   81;  g [ 81] =   81;  b [ 81] =   81;
  r [ 82] =   82;  g [ 82] =   82;  b [ 82] =   82;
  r [ 83] =   83;  g [ 83] =   83;  b [ 83] =   83;
  r [ 84] =   84;  g [ 84] =   84;  b [ 84] =   84;
  r [ 85] =   85;  g [ 85] =   85;  b [ 85] =   85;
  r [ 86] =   86;  g [ 86] =   86;  b [ 86] =   86;
  r [ 87] =   87;  g [ 87] =   87;  b [ 87] =   87;
  r [ 88] =   88;  g [ 88] =   88;  b [ 88] =   88;
  r [ 89] =   89;  g [ 89] =   89;  b [ 89] =   89;
  r [ 90] =   90;  g [ 90] =   90;  b [ 90] =   90;
  r [ 91] =   91;  g [ 91] =   91;  b [ 91] =   91;
  r [ 92] =   92;  g [ 92] =   92;  b [ 92] =   92;
  r [ 93] =   93;  g [ 93] =   93;  b [ 93] =   93;
  r [ 94] =   94;  g [ 94] =   94;  b [ 94] =   94;
  r [ 95] =   95;  g [ 95] =   95;  b [ 95] =   95;
  r [ 96] =   96;  g [ 96] =   96;  b [ 96] =   96;
  r [ 97] =   97;  g [ 97] =   97;  b [ 97] =   97;
  r [ 98] =   98;  g [ 98] =   98;  b [ 98] =   98;
  r [ 99] =   99;  g [ 99] =   99;  b [ 99] =   99;
  r [100] =  100;  g [100] =  100;  b [100] =  100;
  r [101] =  101;  g [101] =  101;  b [101] =  101;
  r [102] =  102;  g [102] =  102;  b [102] =  102;
  r [103] =  103;  g [103] =  103;  b [103] =  103;
  r [104] =  104;  g [104] =  104;  b [104] =  104;
  r [105] =  105;  g [105] =  105;  b [105] =  105;
  r [106] =  106;  g [106] =  106;  b [106] =  106;
  r [107] =  107;  g [107] =  107;  b [107] =  107;
  r [108] =  108;  g [108] =  108;  b [108] =  108;
  r [109] =  109;  g [109] =  109;  b [109] =  109;
  r [110] =  110;  g [110] =  110;  b [110] =  110;
  r [111] =  111;  g [111] =  111;  b [111] =  111;
  r [112] =  112;  g [112] =  112;  b [112] =  112;
  r [113] =  113;  g [113] =  113;  b [113] =  113;
  r [114] =  114;  g [114] =  114;  b [114] =  114;
  r [115] =  115;  g [115] =  115;  b [115] =  115;
  r [116] =  116;  g [116] =  116;  b [116] =  116;
  r [117] =  117;  g [117] =  117;  b [117] =  117;
  r [118] =  118;  g [118] =  118;  b [118] =  118;
  r [119] =  119;  g [119] =  119;  b [119] =  119;
  r [120] =  120;  g [120] =  120;  b [120] =  120;
  r [121] =  121;  g [121] =  121;  b [121] =  121;
  r [122] =  122;  g [122] =  122;  b [122] =  122;
  r [123] =  123;  g [123] =  123;  b [123] =  123;
  r [124] =  124;  g [124] =  124;  b [124] =  124;
  r [125] =  125;  g [125] =  125;  b [125] =  125;
  r [126] =  126;  g [126] =  126;  b [126] =  126;
  r [127] =  127;  g [127] =  127;  b [127] =  127;
  r [128] =  128;  g [128] =  128;  b [128] =  128;
  r [129] =  129;  g [129] =  129;  b [129] =  129;
  r [130] =  130;  g [130] =  130;  b [130] =  130;
  r [131] =  131;  g [131] =  131;  b [131] =  131;
  r [132] =  132;  g [132] =  132;  b [132] =  132;
  r [133] =  133;  g [133] =  133;  b [133] =  133;
  r [134] =  134;  g [134] =  134;  b [134] =  134;
  r [135] =  135;  g [135] =  135;  b [135] =  135;
  r [136] =  136;  g [136] =  136;  b [136] =  136;
  r [137] =  137;  g [137] =  137;  b [137] =  137;
  r [138] =  138;  g [138] =  138;  b [138] =  138;
  r [139] =  139;  g [139] =  139;  b [139] =  139;
  r [140] =  140;  g [140] =  140;  b [140] =  140;
  r [141] =  141;  g [141] =  141;  b [141] =  141;
  r [142] =  142;  g [142] =  142;  b [142] =  142;
  r [143] =  143;  g [143] =  143;  b [143] =  143;
  r [144] =  144;  g [144] =  144;  b [144] =  144;
  r [145] =  145;  g [145] =  145;  b [145] =  145;
  r [146] =  146;  g [146] =  146;  b [146] =  146;
  r [147] =  147;  g [147] =  147;  b [147] =  147;
  r [148] =  148;  g [148] =  148;  b [148] =  148;
  r [149] =  149;  g [149] =  149;  b [149] =  149;
  r [150] =  150;  g [150] =  150;  b [150] =  150;
  r [151] =  151;  g [151] =  151;  b [151] =  151;
  r [152] =  152;  g [152] =  152;  b [152] =  152;
  r [153] =  153;  g [153] =  153;  b [153] =  153;
  r [154] =  154;  g [154] =  154;  b [154] =  154;
  r [155] =  155;  g [155] =  155;  b [155] =  155;
  r [156] =  156;  g [156] =  156;  b [156] =  156;
  r [157] =  157;  g [157] =  157;  b [157] =  157;
  r [158] =  158;  g [158] =  158;  b [158] =  158;
  r [159] =  159;  g [159] =  159;  b [159] =  159;
  r [160] =  160;  g [160] =  160;  b [160] =  160;
  r [161] =  161;  g [161] =  161;  b [161] =  161;
  r [162] =  162;  g [162] =  162;  b [162] =  162;
  r [163] =  163;  g [163] =  163;  b [163] =  163;
  r [164] =  164;  g [164] =  164;  b [164] =  164;
  r [165] =  165;  g [165] =  165;  b [165] =  165;
  r [166] =  166;  g [166] =  166;  b [166] =  166;
  r [167] =  167;  g [167] =  167;  b [167] =  167;
  r [168] =  168;  g [168] =  168;  b [168] =  168;
  r [169] =  169;  g [169] =  169;  b [169] =  169;
  r [170] =  170;  g [170] =  170;  b [170] =  170;
  r [171] =  171;  g [171] =  171;  b [171] =  171;
  r [172] =  172;  g [172] =  172;  b [172] =  172;
  r [173] =  173;  g [173] =  173;  b [173] =  173;
  r [174] =  174;  g [174] =  174;  b [174] =  174;
  r [175] =  175;  g [175] =  175;  b [175] =  175;
  r [176] =  176;  g [176] =  176;  b [176] =  176;
  r [177] =  177;  g [177] =  177;  b [177] =  177;
  r [178] =  178;  g [178] =  178;  b [178] =  178;
  r [179] =  179;  g [179] =  179;  b [179] =  179;
  r [180] =  180;  g [180] =  180;  b [180] =  180;
  r [181] =  181;  g [181] =  181;  b [181] =  181;
  r [182] =  182;  g [182] =  182;  b [182] =  182;
  r [183] =  183;  g [183] =  183;  b [183] =  183;
  r [184] =  184;  g [184] =  184;  b [184] =  184;
  r [185] =  185;  g [185] =  185;  b [185] =  185;
  r [186] =  186;  g [186] =  186;  b [186] =  186;
  r [187] =  187;  g [187] =  187;  b [187] =  187;
  r [188] =  188;  g [188] =  188;  b [188] =  188;
  r [189] =  189;  g [189] =  189;  b [189] =  189;
  r [190] =  190;  g [190] =  190;  b [190] =  190;
  r [191] =  191;  g [191] =  191;  b [191] =  191;
  r [192] =  192;  g [192] =  192;  b [192] =  192;
  r [193] =  193;  g [193] =  193;  b [193] =  193;
  r [194] =  194;  g [194] =  194;  b [194] =  194;
  r [195] =  195;  g [195] =  195;  b [195] =  195;
  r [196] =  196;  g [196] =  196;  b [196] =  196;
  r [197] =  197;  g [197] =  197;  b [197] =  197;
  r [198] =  198;  g [198] =  198;  b [198] =  198;
  r [199] =  199;  g [199] =  199;  b [199] =  199;
  r [200] =  200;  g [200] =  200;  b [200] =  200;
  r [201] =  201;  g [201] =  201;  b [201] =  201;
  r [202] =  202;  g [202] =  202;  b [202] =  202;
  r [203] =  203;  g [203] =  203;  b [203] =  203;
  r [204] =  204;  g [204] =  204;  b [204] =  204;
  r [205] =  205;  g [205] =  205;  b [205] =  205;
  r [206] =  206;  g [206] =  206;  b [206] =  206;
  r [207] =  207;  g [207] =  207;  b [207] =  207;
  r [208] =  208;  g [208] =  208;  b [208] =  208;
  r [209] =  209;  g [209] =  209;  b [209] =  209;
  r [210] =  210;  g [210] =  210;  b [210] =  210;
  r [211] =  211;  g [211] =  211;  b [211] =  211;
  r [212] =  212;  g [212] =  212;  b [212] =  212;
  r [213] =  213;  g [213] =  213;  b [213] =  213;
  r [214] =  214;  g [214] =  214;  b [214] =  214;
  r [215] =  215;  g [215] =  215;  b [215] =  215;
  r [216] =  216;  g [216] =  216;  b [216] =  216;
  r [217] =  217;  g [217] =  217;  b [217] =  217;
  r [218] =  218;  g [218] =  218;  b [218] =  218;
  r [219] =  219;  g [219] =  219;  b [219] =  219;
  r [220] =  220;  g [220] =  220;  b [220] =  220;
  r [221] =  221;  g [221] =  221;  b [221] =  221;
  r [222] =  222;  g [222] =  222;  b [222] =  222;
  r [223] =  223;  g [223] =  223;  b [223] =  223;
  r [224] =  224;  g [224] =  224;  b [224] =  224;
  r [225] =  225;  g [225] =  225;  b [225] =  225;
  r [226] =  226;  g [226] =  226;  b [226] =  226;
  r [227] =  227;  g [227] =  227;  b [227] =  227;
  r [228] =  228;  g [228] =  228;  b [228] =  228;
  r [229] =  229;  g [229] =  229;  b [229] =  229;
  r [230] =  230;  g [230] =  230;  b [230] =  230;
  r [231] =  231;  g [231] =  231;  b [231] =  231;
  r [232] =  232;  g [232] =  232;  b [232] =  232;
  r [233] =  233;  g [233] =  233;  b [233] =  233;
  r [234] =  234;  g [234] =  234;  b [234] =  234;
  r [235] =  235;  g [235] =  235;  b [235] =  235;
  r [236] =  236;  g [236] =  236;  b [236] =  236;
  r [237] =  237;  g [237] =  237;  b [237] =  237;
  r [238] =  238;  g [238] =  238;  b [238] =  238;
  r [239] =  239;  g [239] =  239;  b [239] =  239;
  r [240] =  240;  g [240] =  240;  b [240] =  240;
  r [241] =  241;  g [241] =  241;  b [241] =  241;
  r [242] =  242;  g [242] =  242;  b [242] =  242;
  r [243] =  243;  g [243] =  243;  b [243] =  243;
  r [244] =  244;  g [244] =  244;  b [244] =  244;
  r [245] =  245;  g [245] =  245;  b [245] =  245;
  r [246] =  246;  g [246] =  246;  b [246] =  246;
  r [247] =  247;  g [247] =  247;  b [247] =  247;
  r [248] =  248;  g [248] =  248;  b [248] =  248;
  r [249] =  249;  g [249] =  249;  b [249] =  249;
  r [250] =  250;  g [250] =  250;  b [250] =  250;
  r [251] =  251;  g [251] =  251;  b [251] =  251;
  r [252] =  252;  g [252] =  252;  b [252] =  252;
  r [253] =  253;  g [253] =  253;  b [253] =  253;
  r [254] =  254;  g [254] =  254;  b [254] =  254;
  r [255] =  255;  g [255] =  255;  b [255] =  255;
}
 
void ct_red(unsigned char *r, unsigned char *g, unsigned char *b)
/*
 *
 * RGB Color table, Red
 *
 */
{
  r [  0] =    0;  g [  0] =    0;  b [  0] =    0;
  r [  1] =    1;  g [  1] =    0;  b [  1] =    0;
  r [  2] =    2;  g [  2] =    0;  b [  2] =    0;
  r [  3] =    4;  g [  3] =    0;  b [  3] =    0;
  r [  4] =    5;  g [  4] =    0;  b [  4] =    0;
  r [  5] =    7;  g [  5] =    0;  b [  5] =    0;
  r [  6] =    8;  g [  6] =    0;  b [  6] =    0;
  r [  7] =   10;  g [  7] =    0;  b [  7] =    0;
  r [  8] =   11;  g [  8] =    0;  b [  8] =    0;
  r [  9] =   13;  g [  9] =    0;  b [  9] =    0;
  r [ 10] =   14;  g [ 10] =    0;  b [ 10] =    0;
  r [ 11] =   15;  g [ 11] =    0;  b [ 11] =    0;
  r [ 12] =   17;  g [ 12] =    0;  b [ 12] =    0;
  r [ 13] =   18;  g [ 13] =    0;  b [ 13] =    0;
  r [ 14] =   20;  g [ 14] =    0;  b [ 14] =    0;
  r [ 15] =   21;  g [ 15] =    0;  b [ 15] =    0;
  r [ 16] =   23;  g [ 16] =    0;  b [ 16] =    0;
  r [ 17] =   24;  g [ 17] =    0;  b [ 17] =    0;
  r [ 18] =   26;  g [ 18] =    0;  b [ 18] =    0;
  r [ 19] =   27;  g [ 19] =    0;  b [ 19] =    0;
  r [ 20] =   28;  g [ 20] =    0;  b [ 20] =    0;
  r [ 21] =   30;  g [ 21] =    0;  b [ 21] =    0;
  r [ 22] =   31;  g [ 22] =    0;  b [ 22] =    0;
  r [ 23] =   33;  g [ 23] =    0;  b [ 23] =    0;
  r [ 24] =   34;  g [ 24] =    0;  b [ 24] =    0;
  r [ 25] =   36;  g [ 25] =    0;  b [ 25] =    0;
  r [ 26] =   37;  g [ 26] =    0;  b [ 26] =    0;
  r [ 27] =   39;  g [ 27] =    0;  b [ 27] =    0;
  r [ 28] =   40;  g [ 28] =    0;  b [ 28] =    0;
  r [ 29] =   42;  g [ 29] =    0;  b [ 29] =    0;
  r [ 30] =   43;  g [ 30] =    0;  b [ 30] =    0;
  r [ 31] =   44;  g [ 31] =    0;  b [ 31] =    0;
  r [ 32] =   46;  g [ 32] =    0;  b [ 32] =    0;
  r [ 33] =   47;  g [ 33] =    0;  b [ 33] =    0;
  r [ 34] =   49;  g [ 34] =    0;  b [ 34] =    0;
  r [ 35] =   50;  g [ 35] =    0;  b [ 35] =    0;
  r [ 36] =   52;  g [ 36] =    0;  b [ 36] =    0;
  r [ 37] =   53;  g [ 37] =    0;  b [ 37] =    0;
  r [ 38] =   55;  g [ 38] =    0;  b [ 38] =    0;
  r [ 39] =   56;  g [ 39] =    0;  b [ 39] =    0;
  r [ 40] =   57;  g [ 40] =    0;  b [ 40] =    0;
  r [ 41] =   59;  g [ 41] =    0;  b [ 41] =    0;
  r [ 42] =   60;  g [ 42] =    0;  b [ 42] =    0;
  r [ 43] =   62;  g [ 43] =    0;  b [ 43] =    0;
  r [ 44] =   63;  g [ 44] =    0;  b [ 44] =    0;
  r [ 45] =   65;  g [ 45] =    0;  b [ 45] =    0;
  r [ 46] =   66;  g [ 46] =    0;  b [ 46] =    0;
  r [ 47] =   68;  g [ 47] =    0;  b [ 47] =    0;
  r [ 48] =   69;  g [ 48] =    0;  b [ 48] =    0;
  r [ 49] =   70;  g [ 49] =    0;  b [ 49] =    0;
  r [ 50] =   72;  g [ 50] =    0;  b [ 50] =    0;
  r [ 51] =   73;  g [ 51] =    0;  b [ 51] =    0;
  r [ 52] =   75;  g [ 52] =    0;  b [ 52] =    0;
  r [ 53] =   76;  g [ 53] =    0;  b [ 53] =    0;
  r [ 54] =   78;  g [ 54] =    0;  b [ 54] =    0;
  r [ 55] =   79;  g [ 55] =    0;  b [ 55] =    0;
  r [ 56] =   81;  g [ 56] =    0;  b [ 56] =    0;
  r [ 57] =   82;  g [ 57] =    0;  b [ 57] =    0;
  r [ 58] =   84;  g [ 58] =    0;  b [ 58] =    0;
  r [ 59] =   85;  g [ 59] =    0;  b [ 59] =    0;
  r [ 60] =   86;  g [ 60] =    0;  b [ 60] =    0;
  r [ 61] =   88;  g [ 61] =    0;  b [ 61] =    0;
  r [ 62] =   89;  g [ 62] =    0;  b [ 62] =    0;
  r [ 63] =   91;  g [ 63] =    0;  b [ 63] =    0;
  r [ 64] =   92;  g [ 64] =    0;  b [ 64] =    0;
  r [ 65] =   94;  g [ 65] =    0;  b [ 65] =    0;
  r [ 66] =   95;  g [ 66] =    0;  b [ 66] =    0;
  r [ 67] =   97;  g [ 67] =    0;  b [ 67] =    0;
  r [ 68] =   98;  g [ 68] =    0;  b [ 68] =    0;
  r [ 69] =   99;  g [ 69] =    0;  b [ 69] =    0;
  r [ 70] =  101;  g [ 70] =    0;  b [ 70] =    0;
  r [ 71] =  102;  g [ 71] =    0;  b [ 71] =    0;
  r [ 72] =  104;  g [ 72] =    0;  b [ 72] =    0;
  r [ 73] =  105;  g [ 73] =    0;  b [ 73] =    0;
  r [ 74] =  107;  g [ 74] =    0;  b [ 74] =    0;
  r [ 75] =  108;  g [ 75] =    0;  b [ 75] =    0;
  r [ 76] =  110;  g [ 76] =    0;  b [ 76] =    0;
  r [ 77] =  111;  g [ 77] =    0;  b [ 77] =    0;
  r [ 78] =  113;  g [ 78] =    0;  b [ 78] =    0;
  r [ 79] =  114;  g [ 79] =    0;  b [ 79] =    0;
  r [ 80] =  115;  g [ 80] =    0;  b [ 80] =    0;
  r [ 81] =  117;  g [ 81] =    0;  b [ 81] =    0;
  r [ 82] =  118;  g [ 82] =    0;  b [ 82] =    0;
  r [ 83] =  120;  g [ 83] =    0;  b [ 83] =    0;
  r [ 84] =  121;  g [ 84] =    0;  b [ 84] =    0;
  r [ 85] =  123;  g [ 85] =    0;  b [ 85] =    0;
  r [ 86] =  124;  g [ 86] =    0;  b [ 86] =    0;
  r [ 87] =  126;  g [ 87] =    0;  b [ 87] =    0;
  r [ 88] =  127;  g [ 88] =    0;  b [ 88] =    0;
  r [ 89] =  128;  g [ 89] =    0;  b [ 89] =    0;
  r [ 90] =  130;  g [ 90] =    0;  b [ 90] =    0;
  r [ 91] =  131;  g [ 91] =    0;  b [ 91] =    0;
  r [ 92] =  133;  g [ 92] =    0;  b [ 92] =    0;
  r [ 93] =  134;  g [ 93] =    0;  b [ 93] =    0;
  r [ 94] =  136;  g [ 94] =    0;  b [ 94] =    0;
  r [ 95] =  137;  g [ 95] =    0;  b [ 95] =    0;
  r [ 96] =  139;  g [ 96] =    0;  b [ 96] =    0;
  r [ 97] =  140;  g [ 97] =    0;  b [ 97] =    0;
  r [ 98] =  141;  g [ 98] =    0;  b [ 98] =    0;
  r [ 99] =  143;  g [ 99] =    0;  b [ 99] =    0;
  r [100] =  144;  g [100] =    0;  b [100] =    0;
  r [101] =  146;  g [101] =    0;  b [101] =    0;
  r [102] =  147;  g [102] =    0;  b [102] =    0;
  r [103] =  149;  g [103] =    0;  b [103] =    0;
  r [104] =  150;  g [104] =    0;  b [104] =    0;
  r [105] =  152;  g [105] =    0;  b [105] =    0;
  r [106] =  153;  g [106] =    0;  b [106] =    0;
  r [107] =  155;  g [107] =    0;  b [107] =    0;
  r [108] =  156;  g [108] =    0;  b [108] =    0;
  r [109] =  157;  g [109] =    0;  b [109] =    0;
  r [110] =  159;  g [110] =    0;  b [110] =    0;
  r [111] =  160;  g [111] =    0;  b [111] =    0;
  r [112] =  162;  g [112] =    0;  b [112] =    0;
  r [113] =  163;  g [113] =    0;  b [113] =    0;
  r [114] =  165;  g [114] =    0;  b [114] =    0;
  r [115] =  166;  g [115] =    0;  b [115] =    0;
  r [116] =  168;  g [116] =    0;  b [116] =    0;
  r [117] =  169;  g [117] =    0;  b [117] =    0;
  r [118] =  170;  g [118] =    0;  b [118] =    0;
  r [119] =  172;  g [119] =    0;  b [119] =    0;
  r [120] =  173;  g [120] =    0;  b [120] =    0;
  r [121] =  175;  g [121] =    1;  b [121] =    0;
  r [122] =  176;  g [122] =    3;  b [122] =    0;
  r [123] =  178;  g [123] =    5;  b [123] =    0;
  r [124] =  179;  g [124] =    7;  b [124] =    0;
  r [125] =  181;  g [125] =    9;  b [125] =    0;
  r [126] =  182;  g [126] =   11;  b [126] =    0;
  r [127] =  184;  g [127] =   13;  b [127] =    0;
  r [128] =  185;  g [128] =   15;  b [128] =    0;
  r [129] =  186;  g [129] =   17;  b [129] =    0;
  r [130] =  188;  g [130] =   18;  b [130] =    0;
  r [131] =  189;  g [131] =   20;  b [131] =    0;
  r [132] =  191;  g [132] =   22;  b [132] =    0;
  r [133] =  192;  g [133] =   24;  b [133] =    0;
  r [134] =  194;  g [134] =   26;  b [134] =    0;
  r [135] =  195;  g [135] =   28;  b [135] =    0;
  r [136] =  197;  g [136] =   30;  b [136] =    0;
  r [137] =  198;  g [137] =   32;  b [137] =    0;
  r [138] =  199;  g [138] =   34;  b [138] =    0;
  r [139] =  201;  g [139] =   35;  b [139] =    0;
  r [140] =  202;  g [140] =   37;  b [140] =    0;
  r [141] =  204;  g [141] =   39;  b [141] =    0;
  r [142] =  205;  g [142] =   41;  b [142] =    0;
  r [143] =  207;  g [143] =   43;  b [143] =    0;
  r [144] =  208;  g [144] =   45;  b [144] =    0;
  r [145] =  210;  g [145] =   47;  b [145] =    0;
  r [146] =  211;  g [146] =   49;  b [146] =    0;
  r [147] =  212;  g [147] =   51;  b [147] =    0;
  r [148] =  214;  g [148] =   52;  b [148] =    0;
  r [149] =  215;  g [149] =   54;  b [149] =    0;
  r [150] =  217;  g [150] =   56;  b [150] =    0;
  r [151] =  218;  g [151] =   58;  b [151] =    0;
  r [152] =  220;  g [152] =   60;  b [152] =    0;
  r [153] =  221;  g [153] =   62;  b [153] =    0;
  r [154] =  223;  g [154] =   64;  b [154] =    0;
  r [155] =  224;  g [155] =   66;  b [155] =    0;
  r [156] =  226;  g [156] =   68;  b [156] =    0;
  r [157] =  227;  g [157] =   69;  b [157] =    0;
  r [158] =  228;  g [158] =   71;  b [158] =    0;
  r [159] =  230;  g [159] =   73;  b [159] =    0;
  r [160] =  231;  g [160] =   75;  b [160] =    0;
  r [161] =  233;  g [161] =   77;  b [161] =    0;
  r [162] =  234;  g [162] =   79;  b [162] =    0;
  r [163] =  236;  g [163] =   81;  b [163] =    0;
  r [164] =  237;  g [164] =   83;  b [164] =    0;
  r [165] =  239;  g [165] =   85;  b [165] =    0;
  r [166] =  240;  g [166] =   86;  b [166] =    0;
  r [167] =  241;  g [167] =   88;  b [167] =    0;
  r [168] =  243;  g [168] =   90;  b [168] =    0;
  r [169] =  244;  g [169] =   92;  b [169] =    0;
  r [170] =  246;  g [170] =   94;  b [170] =    0;
  r [171] =  247;  g [171] =   96;  b [171] =    0;
  r [172] =  249;  g [172] =   98;  b [172] =    0;
  r [173] =  250;  g [173] =  100;  b [173] =    0;
  r [174] =  252;  g [174] =  102;  b [174] =    0;
  r [175] =  253;  g [175] =  103;  b [175] =    0;
  r [176] =  255;  g [176] =  105;  b [176] =    0;
  r [177] =  255;  g [177] =  107;  b [177] =    0;
  r [178] =  255;  g [178] =  109;  b [178] =    0;
  r [179] =  255;  g [179] =  111;  b [179] =    0;
  r [180] =  255;  g [180] =  113;  b [180] =    0;
  r [181] =  255;  g [181] =  115;  b [181] =    0;
  r [182] =  255;  g [182] =  117;  b [182] =    0;
  r [183] =  255;  g [183] =  119;  b [183] =    0;
  r [184] =  255;  g [184] =  120;  b [184] =    0;
  r [185] =  255;  g [185] =  122;  b [185] =    0;
  r [186] =  255;  g [186] =  124;  b [186] =    0;
  r [187] =  255;  g [187] =  126;  b [187] =    0;
  r [188] =  255;  g [188] =  128;  b [188] =    0;
  r [189] =  255;  g [189] =  130;  b [189] =    0;
  r [190] =  255;  g [190] =  132;  b [190] =    0;
  r [191] =  255;  g [191] =  134;  b [191] =    3;
  r [192] =  255;  g [192] =  136;  b [192] =    7;
  r [193] =  255;  g [193] =  137;  b [193] =   11;
  r [194] =  255;  g [194] =  139;  b [194] =   15;
  r [195] =  255;  g [195] =  141;  b [195] =   19;
  r [196] =  255;  g [196] =  143;  b [196] =   23;
  r [197] =  255;  g [197] =  145;  b [197] =   27;
  r [198] =  255;  g [198] =  147;  b [198] =   31;
  r [199] =  255;  g [199] =  149;  b [199] =   35;
  r [200] =  255;  g [200] =  151;  b [200] =   39;
  r [201] =  255;  g [201] =  153;  b [201] =   43;
  r [202] =  255;  g [202] =  154;  b [202] =   47;
  r [203] =  255;  g [203] =  156;  b [203] =   51;
  r [204] =  255;  g [204] =  158;  b [204] =   54;
  r [205] =  255;  g [205] =  160;  b [205] =   58;
  r [206] =  255;  g [206] =  162;  b [206] =   62;
  r [207] =  255;  g [207] =  164;  b [207] =   66;
  r [208] =  255;  g [208] =  166;  b [208] =   70;
  r [209] =  255;  g [209] =  168;  b [209] =   74;
  r [210] =  255;  g [210] =  170;  b [210] =   78;
  r [211] =  255;  g [211] =  171;  b [211] =   82;
  r [212] =  255;  g [212] =  173;  b [212] =   86;
  r [213] =  255;  g [213] =  175;  b [213] =   90;
  r [214] =  255;  g [214] =  177;  b [214] =   94;
  r [215] =  255;  g [215] =  179;  b [215] =   98;
  r [216] =  255;  g [216] =  181;  b [216] =  102;
  r [217] =  255;  g [217] =  183;  b [217] =  105;
  r [218] =  255;  g [218] =  185;  b [218] =  109;
  r [219] =  255;  g [219] =  187;  b [219] =  113;
  r [220] =  255;  g [220] =  188;  b [220] =  117;
  r [221] =  255;  g [221] =  190;  b [221] =  121;
  r [222] =  255;  g [222] =  192;  b [222] =  125;
  r [223] =  255;  g [223] =  194;  b [223] =  129;
  r [224] =  255;  g [224] =  196;  b [224] =  133;
  r [225] =  255;  g [225] =  198;  b [225] =  137;
  r [226] =  255;  g [226] =  200;  b [226] =  141;
  r [227] =  255;  g [227] =  202;  b [227] =  145;
  r [228] =  255;  g [228] =  204;  b [228] =  149;
  r [229] =  255;  g [229] =  205;  b [229] =  153;
  r [230] =  255;  g [230] =  207;  b [230] =  156;
  r [231] =  255;  g [231] =  209;  b [231] =  160;
  r [232] =  255;  g [232] =  211;  b [232] =  164;
  r [233] =  255;  g [233] =  213;  b [233] =  168;
  r [234] =  255;  g [234] =  215;  b [234] =  172;
  r [235] =  255;  g [235] =  217;  b [235] =  176;
  r [236] =  255;  g [236] =  219;  b [236] =  180;
  r [237] =  255;  g [237] =  221;  b [237] =  184;
  r [238] =  255;  g [238] =  222;  b [238] =  188;
  r [239] =  255;  g [239] =  224;  b [239] =  192;
  r [240] =  255;  g [240] =  226;  b [240] =  196;
  r [241] =  255;  g [241] =  228;  b [241] =  200;
  r [242] =  255;  g [242] =  230;  b [242] =  204;
  r [243] =  255;  g [243] =  232;  b [243] =  207;
  r [244] =  255;  g [244] =  234;  b [244] =  211;
  r [245] =  255;  g [245] =  236;  b [245] =  215;
  r [246] =  255;  g [246] =  238;  b [246] =  219;
  r [247] =  255;  g [247] =  239;  b [247] =  223;
  r [248] =  255;  g [248] =  241;  b [248] =  227;
  r [249] =  255;  g [249] =  243;  b [249] =  231;
  r [250] =  255;  g [250] =  245;  b [250] =  235;
  r [251] =  255;  g [251] =  247;  b [251] =  239;
  r [252] =  255;  g [252] =  249;  b [252] =  243;
  r [253] =  255;  g [253] =  251;  b [253] =  247;
  r [254] =  255;  g [254] =  253;  b [254] =  251;
  r [255] =  255;  g [255] =  255;  b [255] =  255;
}
void ct_br(unsigned char *r, unsigned char *g, unsigned char *b)
/*
 *
 * RGB Color table, BLUE/RED
 *
 */
{
  r [  0] =    0;  g [  0] =    0;  b [  0] =  131;
  r [  1] =    0;  g [  1] =    0;  b [  1] =  131;
  r [  2] =    0;  g [  2] =    0;  b [  2] =  135;
  r [  3] =    0;  g [  3] =    0;  b [  3] =  139;
  r [  4] =    0;  g [  4] =    0;  b [  4] =  143;
  r [  5] =    0;  g [  5] =    0;  b [  5] =  147;
  r [  6] =    0;  g [  6] =    0;  b [  6] =  151;
  r [  7] =    0;  g [  7] =    0;  b [  7] =  155;
  r [  8] =    0;  g [  8] =    0;  b [  8] =  159;
  r [  9] =    0;  g [  9] =    0;  b [  9] =  163;
  r [ 10] =    0;  g [ 10] =    0;  b [ 10] =  167;
  r [ 11] =    0;  g [ 11] =    0;  b [ 11] =  171;
  r [ 12] =    0;  g [ 12] =    0;  b [ 12] =  175;
  r [ 13] =    0;  g [ 13] =    0;  b [ 13] =  179;
  r [ 14] =    0;  g [ 14] =    0;  b [ 14] =  183;
  r [ 15] =    0;  g [ 15] =    0;  b [ 15] =  187;
  r [ 16] =    0;  g [ 16] =    0;  b [ 16] =  191;
  r [ 17] =    0;  g [ 17] =    0;  b [ 17] =  195;
  r [ 18] =    0;  g [ 18] =    0;  b [ 18] =  199;
  r [ 19] =    0;  g [ 19] =    0;  b [ 19] =  203;
  r [ 20] =    0;  g [ 20] =    0;  b [ 20] =  207;
  r [ 21] =    0;  g [ 21] =    0;  b [ 21] =  211;
  r [ 22] =    0;  g [ 22] =    0;  b [ 22] =  215;
  r [ 23] =    0;  g [ 23] =    0;  b [ 23] =  219;
  r [ 24] =    0;  g [ 24] =    0;  b [ 24] =  223;
  r [ 25] =    0;  g [ 25] =    0;  b [ 25] =  227;
  r [ 26] =    0;  g [ 26] =    0;  b [ 26] =  231;
  r [ 27] =    0;  g [ 27] =    0;  b [ 27] =  235;
  r [ 28] =    0;  g [ 28] =    0;  b [ 28] =  239;
  r [ 29] =    0;  g [ 29] =    0;  b [ 29] =  243;
  r [ 30] =    0;  g [ 30] =    0;  b [ 30] =  247;
  r [ 31] =    0;  g [ 31] =    0;  b [ 31] =  251;
  r [ 32] =    0;  g [ 32] =    0;  b [ 32] =  255;
  r [ 33] =    0;  g [ 33] =    0;  b [ 33] =  255;
  r [ 34] =    0;  g [ 34] =    3;  b [ 34] =  255;
  r [ 35] =    0;  g [ 35] =    7;  b [ 35] =  255;
  r [ 36] =    0;  g [ 36] =   11;  b [ 36] =  255;
  r [ 37] =    0;  g [ 37] =   15;  b [ 37] =  255;
  r [ 38] =    0;  g [ 38] =   19;  b [ 38] =  255;
  r [ 39] =    0;  g [ 39] =   23;  b [ 39] =  255;
  r [ 40] =    0;  g [ 40] =   27;  b [ 40] =  255;
  r [ 41] =    0;  g [ 41] =   31;  b [ 41] =  255;
  r [ 42] =    0;  g [ 42] =   35;  b [ 42] =  255;
  r [ 43] =    0;  g [ 43] =   39;  b [ 43] =  255;
  r [ 44] =    0;  g [ 44] =   43;  b [ 44] =  255;
  r [ 45] =    0;  g [ 45] =   47;  b [ 45] =  255;
  r [ 46] =    0;  g [ 46] =   51;  b [ 46] =  255;
  r [ 47] =    0;  g [ 47] =   55;  b [ 47] =  255;
  r [ 48] =    0;  g [ 48] =   59;  b [ 48] =  255;
  r [ 49] =    0;  g [ 49] =   63;  b [ 49] =  255;
  r [ 50] =    0;  g [ 50] =   67;  b [ 50] =  255;
  r [ 51] =    0;  g [ 51] =   71;  b [ 51] =  255;
  r [ 52] =    0;  g [ 52] =   75;  b [ 52] =  255;
  r [ 53] =    0;  g [ 53] =   79;  b [ 53] =  255;
  r [ 54] =    0;  g [ 54] =   83;  b [ 54] =  255;
  r [ 55] =    0;  g [ 55] =   87;  b [ 55] =  255;
  r [ 56] =    0;  g [ 56] =   91;  b [ 56] =  255;
  r [ 57] =    0;  g [ 57] =   95;  b [ 57] =  255;
  r [ 58] =    0;  g [ 58] =   99;  b [ 58] =  255;
  r [ 59] =    0;  g [ 59] =  103;  b [ 59] =  255;
  r [ 60] =    0;  g [ 60] =  107;  b [ 60] =  255;
  r [ 61] =    0;  g [ 61] =  111;  b [ 61] =  255;
  r [ 62] =    0;  g [ 62] =  115;  b [ 62] =  255;
  r [ 63] =    0;  g [ 63] =  119;  b [ 63] =  255;
  r [ 64] =    0;  g [ 64] =  123;  b [ 64] =  255;
  r [ 65] =    0;  g [ 65] =  127;  b [ 65] =  255;
  r [ 66] =    0;  g [ 66] =  131;  b [ 66] =  255;
  r [ 67] =    0;  g [ 67] =  135;  b [ 67] =  255;
  r [ 68] =    0;  g [ 68] =  139;  b [ 68] =  255;
  r [ 69] =    0;  g [ 69] =  143;  b [ 69] =  255;
  r [ 70] =    0;  g [ 70] =  147;  b [ 70] =  255;
  r [ 71] =    0;  g [ 71] =  151;  b [ 71] =  255;
  r [ 72] =    0;  g [ 72] =  155;  b [ 72] =  255;
  r [ 73] =    0;  g [ 73] =  159;  b [ 73] =  255;
  r [ 74] =    0;  g [ 74] =  163;  b [ 74] =  255;
  r [ 75] =    0;  g [ 75] =  167;  b [ 75] =  255;
  r [ 76] =    0;  g [ 76] =  171;  b [ 76] =  255;
  r [ 77] =    0;  g [ 77] =  175;  b [ 77] =  255;
  r [ 78] =    0;  g [ 78] =  179;  b [ 78] =  255;
  r [ 79] =    0;  g [ 79] =  183;  b [ 79] =  255;
  r [ 80] =    0;  g [ 80] =  187;  b [ 80] =  255;
  r [ 81] =    0;  g [ 81] =  191;  b [ 81] =  255;
  r [ 82] =    0;  g [ 82] =  195;  b [ 82] =  255;
  r [ 83] =    0;  g [ 83] =  199;  b [ 83] =  255;
  r [ 84] =    0;  g [ 84] =  203;  b [ 84] =  255;
  r [ 85] =    0;  g [ 85] =  207;  b [ 85] =  255;
  r [ 86] =    0;  g [ 86] =  211;  b [ 86] =  255;
  r [ 87] =    0;  g [ 87] =  215;  b [ 87] =  255;
  r [ 88] =    0;  g [ 88] =  219;  b [ 88] =  255;
  r [ 89] =    0;  g [ 89] =  223;  b [ 89] =  255;
  r [ 90] =    0;  g [ 90] =  227;  b [ 90] =  255;
  r [ 91] =    0;  g [ 91] =  231;  b [ 91] =  255;
  r [ 92] =    0;  g [ 92] =  235;  b [ 92] =  255;
  r [ 93] =    0;  g [ 93] =  239;  b [ 93] =  255;
  r [ 94] =    0;  g [ 94] =  243;  b [ 94] =  255;
  r [ 95] =    0;  g [ 95] =  247;  b [ 95] =  255;
  r [ 96] =    0;  g [ 96] =  251;  b [ 96] =  255;
  r [ 97] =    0;  g [ 97] =  255;  b [ 97] =  255;
  r [ 98] =    0;  g [ 98] =  255;  b [ 98] =  255;
  r [ 99] =    3;  g [ 99] =  255;  b [ 99] =  251;
  r [100] =    7;  g [100] =  255;  b [100] =  247;
  r [101] =   11;  g [101] =  255;  b [101] =  243;
  r [102] =   15;  g [102] =  255;  b [102] =  239;
  r [103] =   19;  g [103] =  255;  b [103] =  235;
  r [104] =   23;  g [104] =  255;  b [104] =  231;
  r [105] =   27;  g [105] =  255;  b [105] =  227;
  r [106] =   31;  g [106] =  255;  b [106] =  223;
  r [107] =   35;  g [107] =  255;  b [107] =  219;
  r [108] =   39;  g [108] =  255;  b [108] =  215;
  r [109] =   43;  g [109] =  255;  b [109] =  211;
  r [110] =   47;  g [110] =  255;  b [110] =  207;
  r [111] =   51;  g [111] =  255;  b [111] =  203;
  r [112] =   55;  g [112] =  255;  b [112] =  199;
  r [113] =   59;  g [113] =  255;  b [113] =  195;
  r [114] =   63;  g [114] =  255;  b [114] =  191;
  r [115] =   67;  g [115] =  255;  b [115] =  187;
  r [116] =   71;  g [116] =  255;  b [116] =  183;
  r [117] =   75;  g [117] =  255;  b [117] =  179;
  r [118] =   79;  g [118] =  255;  b [118] =  175;
  r [119] =   83;  g [119] =  255;  b [119] =  171;
  r [120] =   87;  g [120] =  255;  b [120] =  167;
  r [121] =   91;  g [121] =  255;  b [121] =  163;
  r [122] =   95;  g [122] =  255;  b [122] =  159;
  r [123] =   99;  g [123] =  255;  b [123] =  155;
  r [124] =  103;  g [124] =  255;  b [124] =  151;
  r [125] =  107;  g [125] =  255;  b [125] =  147;
  r [126] =  111;  g [126] =  255;  b [126] =  143;
  r [127] =  115;  g [127] =  255;  b [127] =  139;
  r [128] =  119;  g [128] =  255;  b [128] =  135;
  r [129] =  123;  g [129] =  255;  b [129] =  131;
  r [130] =  127;  g [130] =  255;  b [130] =  127;
  r [131] =  131;  g [131] =  255;  b [131] =  123;
  r [132] =  135;  g [132] =  255;  b [132] =  119;
  r [133] =  139;  g [133] =  255;  b [133] =  115;
  r [134] =  143;  g [134] =  255;  b [134] =  111;
  r [135] =  147;  g [135] =  255;  b [135] =  107;
  r [136] =  151;  g [136] =  255;  b [136] =  103;
  r [137] =  155;  g [137] =  255;  b [137] =   99;
  r [138] =  159;  g [138] =  255;  b [138] =   95;
  r [139] =  163;  g [139] =  255;  b [139] =   91;
  r [140] =  167;  g [140] =  255;  b [140] =   87;
  r [141] =  171;  g [141] =  255;  b [141] =   83;
  r [142] =  175;  g [142] =  255;  b [142] =   79;
  r [143] =  179;  g [143] =  255;  b [143] =   75;
  r [144] =  183;  g [144] =  255;  b [144] =   71;
  r [145] =  187;  g [145] =  255;  b [145] =   67;
  r [146] =  191;  g [146] =  255;  b [146] =   63;
  r [147] =  195;  g [147] =  255;  b [147] =   59;
  r [148] =  199;  g [148] =  255;  b [148] =   55;
  r [149] =  203;  g [149] =  255;  b [149] =   51;
  r [150] =  207;  g [150] =  255;  b [150] =   47;
  r [151] =  211;  g [151] =  255;  b [151] =   43;
  r [152] =  215;  g [152] =  255;  b [152] =   39;
  r [153] =  219;  g [153] =  255;  b [153] =   35;
  r [154] =  223;  g [154] =  255;  b [154] =   31;
  r [155] =  227;  g [155] =  255;  b [155] =   27;
  r [156] =  231;  g [156] =  255;  b [156] =   23;
  r [157] =  235;  g [157] =  255;  b [157] =   19;
  r [158] =  239;  g [158] =  255;  b [158] =   15;
  r [159] =  243;  g [159] =  255;  b [159] =   11;
  r [160] =  247;  g [160] =  255;  b [160] =    7;
  r [161] =  251;  g [161] =  255;  b [161] =    3;
  r [162] =  255;  g [162] =  255;  b [162] =    0;
  r [163] =  255;  g [163] =  251;  b [163] =    0;
  r [164] =  255;  g [164] =  247;  b [164] =    0;
  r [165] =  255;  g [165] =  243;  b [165] =    0;
  r [166] =  255;  g [166] =  239;  b [166] =    0;
  r [167] =  255;  g [167] =  235;  b [167] =    0;
  r [168] =  255;  g [168] =  231;  b [168] =    0;
  r [169] =  255;  g [169] =  227;  b [169] =    0;
  r [170] =  255;  g [170] =  223;  b [170] =    0;
  r [171] =  255;  g [171] =  219;  b [171] =    0;
  r [172] =  255;  g [172] =  215;  b [172] =    0;
  r [173] =  255;  g [173] =  211;  b [173] =    0;
  r [174] =  255;  g [174] =  207;  b [174] =    0;
  r [175] =  255;  g [175] =  203;  b [175] =    0;
  r [176] =  255;  g [176] =  199;  b [176] =    0;
  r [177] =  255;  g [177] =  195;  b [177] =    0;
  r [178] =  255;  g [178] =  191;  b [178] =    0;
  r [179] =  255;  g [179] =  187;  b [179] =    0;
  r [180] =  255;  g [180] =  183;  b [180] =    0;
  r [181] =  255;  g [181] =  179;  b [181] =    0;
  r [182] =  255;  g [182] =  175;  b [182] =    0;
  r [183] =  255;  g [183] =  171;  b [183] =    0;
  r [184] =  255;  g [184] =  167;  b [184] =    0;
  r [185] =  255;  g [185] =  163;  b [185] =    0;
  r [186] =  255;  g [186] =  159;  b [186] =    0;
  r [187] =  255;  g [187] =  155;  b [187] =    0;
  r [188] =  255;  g [188] =  151;  b [188] =    0;
  r [189] =  255;  g [189] =  147;  b [189] =    0;
  r [190] =  255;  g [190] =  143;  b [190] =    0;
  r [191] =  255;  g [191] =  139;  b [191] =    0;
  r [192] =  255;  g [192] =  135;  b [192] =    0;
  r [193] =  255;  g [193] =  131;  b [193] =    0;
  r [194] =  255;  g [194] =  127;  b [194] =    0;
  r [195] =  255;  g [195] =  123;  b [195] =    0;
  r [196] =  255;  g [196] =  119;  b [196] =    0;
  r [197] =  255;  g [197] =  115;  b [197] =    0;
  r [198] =  255;  g [198] =  111;  b [198] =    0;
  r [199] =  255;  g [199] =  107;  b [199] =    0;
  r [200] =  255;  g [200] =  103;  b [200] =    0;
  r [201] =  255;  g [201] =   99;  b [201] =    0;
  r [202] =  255;  g [202] =   95;  b [202] =    0;
  r [203] =  255;  g [203] =   91;  b [203] =    0;
  r [204] =  255;  g [204] =   87;  b [204] =    0;
  r [205] =  255;  g [205] =   83;  b [205] =    0;
  r [206] =  255;  g [206] =   79;  b [206] =    0;
  r [207] =  255;  g [207] =   75;  b [207] =    0;
  r [208] =  255;  g [208] =   71;  b [208] =    0;
  r [209] =  255;  g [209] =   67;  b [209] =    0;
  r [210] =  255;  g [210] =   63;  b [210] =    0;
  r [211] =  255;  g [211] =   59;  b [211] =    0;
  r [212] =  255;  g [212] =   55;  b [212] =    0;
  r [213] =  255;  g [213] =   51;  b [213] =    0;
  r [214] =  255;  g [214] =   47;  b [214] =    0;
  r [215] =  255;  g [215] =   43;  b [215] =    0;
  r [216] =  255;  g [216] =   39;  b [216] =    0;
  r [217] =  255;  g [217] =   35;  b [217] =    0;
  r [218] =  255;  g [218] =   31;  b [218] =    0;
  r [219] =  255;  g [219] =   27;  b [219] =    0;
  r [220] =  255;  g [220] =   23;  b [220] =    0;
  r [221] =  255;  g [221] =   19;  b [221] =    0;
  r [222] =  255;  g [222] =   15;  b [222] =    0;
  r [223] =  255;  g [223] =   11;  b [223] =    0;
  r [224] =  255;  g [224] =    7;  b [224] =    0;
  r [225] =  255;  g [225] =    3;  b [225] =    0;
  r [226] =  255;  g [226] =    0;  b [226] =    0;
  r [227] =  250;  g [227] =    0;  b [227] =    0;
  r [228] =  246;  g [228] =    0;  b [228] =    0;
  r [229] =  241;  g [229] =    0;  b [229] =    0;
  r [230] =  237;  g [230] =    0;  b [230] =    0;
  r [231] =  233;  g [231] =    0;  b [231] =    0;
  r [232] =  228;  g [232] =    0;  b [232] =    0;
  r [233] =  224;  g [233] =    0;  b [233] =    0;
  r [234] =  219;  g [234] =    0;  b [234] =    0;
  r [235] =  215;  g [235] =    0;  b [235] =    0;
  r [236] =  211;  g [236] =    0;  b [236] =    0;
  r [237] =  206;  g [237] =    0;  b [237] =    0;
  r [238] =  202;  g [238] =    0;  b [238] =    0;
  r [239] =  197;  g [239] =    0;  b [239] =    0;
  r [240] =  193;  g [240] =    0;  b [240] =    0;
  r [241] =  189;  g [241] =    0;  b [241] =    0;
  r [242] =  184;  g [242] =    0;  b [242] =    0;
  r [243] =  180;  g [243] =    0;  b [243] =    0;
  r [244] =  175;  g [244] =    0;  b [244] =    0;
  r [245] =  171;  g [245] =    0;  b [245] =    0;
  r [246] =  167;  g [246] =    0;  b [246] =    0;
  r [247] =  162;  g [247] =    0;  b [247] =    0;
  r [248] =  158;  g [248] =    0;  b [248] =    0;
  r [249] =  153;  g [249] =    0;  b [249] =    0;
  r [250] =  149;  g [250] =    0;  b [250] =    0;
  r [251] =  145;  g [251] =    0;  b [251] =    0;
  r [252] =  140;  g [252] =    0;  b [252] =    0;
  r [253] =  136;  g [253] =    0;  b [253] =    0;
  r [254] =  131;  g [254] =    0;  b [254] =    0;
  r [255] =  131;  g [255] =    0;  b [255] =    0;
}

void ct_blue(unsigned char *r, unsigned char *g, unsigned char *b)
/*
 *
 * RGB Color table, Blue
 *
 */
{
  r [  0] =    0;  g [  0] =    0;  b [  0] =    0;
  r [  1] =    0;  g [  1] =    0;  b [  1] =    1;
  r [  2] =    0;  g [  2] =    0;  b [  2] =    2;
  r [  3] =    0;  g [  3] =    0;  b [  3] =    4;
  r [  4] =    0;  g [  4] =    0;  b [  4] =    5;
  r [  5] =    0;  g [  5] =    0;  b [  5] =    6;
  r [  6] =    0;  g [  6] =    0;  b [  6] =    8;
  r [  7] =    0;  g [  7] =    0;  b [  7] =    9;
  r [  8] =    0;  g [  8] =    0;  b [  8] =   10;
  r [  9] =    0;  g [  9] =    0;  b [  9] =   12;
  r [ 10] =    0;  g [ 10] =    0;  b [ 10] =   13;
  r [ 11] =    0;  g [ 11] =    0;  b [ 11] =   14;
  r [ 12] =    0;  g [ 12] =    0;  b [ 12] =   16;
  r [ 13] =    0;  g [ 13] =    0;  b [ 13] =   17;
  r [ 14] =    0;  g [ 14] =    0;  b [ 14] =   18;
  r [ 15] =    0;  g [ 15] =    0;  b [ 15] =   20;
  r [ 16] =    0;  g [ 16] =    0;  b [ 16] =   21;
  r [ 17] =    0;  g [ 17] =    0;  b [ 17] =   23;
  r [ 18] =    0;  g [ 18] =    0;  b [ 18] =   24;
  r [ 19] =    0;  g [ 19] =    0;  b [ 19] =   25;
  r [ 20] =    0;  g [ 20] =    0;  b [ 20] =   27;
  r [ 21] =    0;  g [ 21] =    0;  b [ 21] =   28;
  r [ 22] =    0;  g [ 22] =    0;  b [ 22] =   29;
  r [ 23] =    0;  g [ 23] =    0;  b [ 23] =   31;
  r [ 24] =    0;  g [ 24] =    0;  b [ 24] =   32;
  r [ 25] =    0;  g [ 25] =    0;  b [ 25] =   33;
  r [ 26] =    0;  g [ 26] =    0;  b [ 26] =   35;
  r [ 27] =    0;  g [ 27] =    0;  b [ 27] =   36;
  r [ 28] =    0;  g [ 28] =    0;  b [ 28] =   37;
  r [ 29] =    0;  g [ 29] =    0;  b [ 29] =   39;
  r [ 30] =    0;  g [ 30] =    0;  b [ 30] =   40;
  r [ 31] =    0;  g [ 31] =    0;  b [ 31] =   42;
  r [ 32] =    0;  g [ 32] =    0;  b [ 32] =   43;
  r [ 33] =    0;  g [ 33] =    0;  b [ 33] =   44;
  r [ 34] =    0;  g [ 34] =    0;  b [ 34] =   46;
  r [ 35] =    0;  g [ 35] =    0;  b [ 35] =   47;
  r [ 36] =    0;  g [ 36] =    0;  b [ 36] =   48;
  r [ 37] =    0;  g [ 37] =    0;  b [ 37] =   50;
  r [ 38] =    0;  g [ 38] =    0;  b [ 38] =   51;
  r [ 39] =    0;  g [ 39] =    0;  b [ 39] =   52;
  r [ 40] =    0;  g [ 40] =    0;  b [ 40] =   54;
  r [ 41] =    0;  g [ 41] =    0;  b [ 41] =   55;
  r [ 42] =    0;  g [ 42] =    0;  b [ 42] =   56;
  r [ 43] =    0;  g [ 43] =    0;  b [ 43] =   58;
  r [ 44] =    0;  g [ 44] =    0;  b [ 44] =   59;
  r [ 45] =    0;  g [ 45] =    0;  b [ 45] =   61;
  r [ 46] =    0;  g [ 46] =    0;  b [ 46] =   62;
  r [ 47] =    0;  g [ 47] =    0;  b [ 47] =   63;
  r [ 48] =    0;  g [ 48] =    0;  b [ 48] =   65;
  r [ 49] =    0;  g [ 49] =    0;  b [ 49] =   66;
  r [ 50] =    0;  g [ 50] =    0;  b [ 50] =   67;
  r [ 51] =    0;  g [ 51] =    0;  b [ 51] =   69;
  r [ 52] =    0;  g [ 52] =    0;  b [ 52] =   70;
  r [ 53] =    0;  g [ 53] =    0;  b [ 53] =   71;
  r [ 54] =    0;  g [ 54] =    0;  b [ 54] =   73;
  r [ 55] =    0;  g [ 55] =    0;  b [ 55] =   74;
  r [ 56] =    0;  g [ 56] =    0;  b [ 56] =   75;
  r [ 57] =    0;  g [ 57] =    0;  b [ 57] =   77;
  r [ 58] =    0;  g [ 58] =    0;  b [ 58] =   78;
  r [ 59] =    0;  g [ 59] =    0;  b [ 59] =   80;
  r [ 60] =    0;  g [ 60] =    0;  b [ 60] =   81;
  r [ 61] =    0;  g [ 61] =    0;  b [ 61] =   82;
  r [ 62] =    0;  g [ 62] =    0;  b [ 62] =   84;
  r [ 63] =    0;  g [ 63] =    0;  b [ 63] =   85;
  r [ 64] =    0;  g [ 64] =    0;  b [ 64] =   86;
  r [ 65] =    0;  g [ 65] =    0;  b [ 65] =   88;
  r [ 66] =    0;  g [ 66] =    0;  b [ 66] =   89;
  r [ 67] =    0;  g [ 67] =    0;  b [ 67] =   90;
  r [ 68] =    0;  g [ 68] =    0;  b [ 68] =   92;
  r [ 69] =    0;  g [ 69] =    0;  b [ 69] =   93;
  r [ 70] =    0;  g [ 70] =    0;  b [ 70] =   94;
  r [ 71] =    0;  g [ 71] =    0;  b [ 71] =   96;
  r [ 72] =    0;  g [ 72] =    0;  b [ 72] =   97;
  r [ 73] =    0;  g [ 73] =    0;  b [ 73] =   99;
  r [ 74] =    0;  g [ 74] =    0;  b [ 74] =  100;
  r [ 75] =    0;  g [ 75] =    0;  b [ 75] =  101;
  r [ 76] =    0;  g [ 76] =    0;  b [ 76] =  103;
  r [ 77] =    0;  g [ 77] =    0;  b [ 77] =  104;
  r [ 78] =    0;  g [ 78] =    0;  b [ 78] =  105;
  r [ 79] =    0;  g [ 79] =    0;  b [ 79] =  107;
  r [ 80] =    0;  g [ 80] =    0;  b [ 80] =  108;
  r [ 81] =    0;  g [ 81] =    0;  b [ 81] =  109;
  r [ 82] =    0;  g [ 82] =    0;  b [ 82] =  111;
  r [ 83] =    0;  g [ 83] =    0;  b [ 83] =  112;
  r [ 84] =    0;  g [ 84] =    0;  b [ 84] =  113;
  r [ 85] =    0;  g [ 85] =    0;  b [ 85] =  115;
  r [ 86] =    0;  g [ 86] =    0;  b [ 86] =  116;
  r [ 87] =    0;  g [ 87] =    0;  b [ 87] =  118;
  r [ 88] =    0;  g [ 88] =    0;  b [ 88] =  119;
  r [ 89] =    0;  g [ 89] =    0;  b [ 89] =  120;
  r [ 90] =    0;  g [ 90] =    0;  b [ 90] =  122;
  r [ 91] =    0;  g [ 91] =    0;  b [ 91] =  123;
  r [ 92] =    0;  g [ 92] =    0;  b [ 92] =  124;
  r [ 93] =    0;  g [ 93] =    0;  b [ 93] =  126;
  r [ 94] =    0;  g [ 94] =    0;  b [ 94] =  127;
  r [ 95] =    0;  g [ 95] =    0;  b [ 95] =  128;
  r [ 96] =    0;  g [ 96] =    0;  b [ 96] =  130;
  r [ 97] =    0;  g [ 97] =    2;  b [ 97] =  131;
  r [ 98] =    0;  g [ 98] =    4;  b [ 98] =  132;
  r [ 99] =    0;  g [ 99] =    5;  b [ 99] =  134;
  r [100] =    0;  g [100] =    7;  b [100] =  135;
  r [101] =    0;  g [101] =    9;  b [101] =  136;
  r [102] =    0;  g [102] =   10;  b [102] =  138;
  r [103] =    0;  g [103] =   12;  b [103] =  139;
  r [104] =    0;  g [104] =   13;  b [104] =  141;
  r [105] =    0;  g [105] =   15;  b [105] =  142;
  r [106] =    0;  g [106] =   17;  b [106] =  143;
  r [107] =    0;  g [107] =   18;  b [107] =  145;
  r [108] =    0;  g [108] =   20;  b [108] =  146;
  r [109] =    0;  g [109] =   21;  b [109] =  147;
  r [110] =    0;  g [110] =   23;  b [110] =  149;
  r [111] =    0;  g [111] =   25;  b [111] =  150;
  r [112] =    0;  g [112] =   26;  b [112] =  151;
  r [113] =    0;  g [113] =   28;  b [113] =  153;
  r [114] =    0;  g [114] =   29;  b [114] =  154;
  r [115] =    0;  g [115] =   31;  b [115] =  155;
  r [116] =    0;  g [116] =   33;  b [116] =  157;
  r [117] =    0;  g [117] =   34;  b [117] =  158;
  r [118] =    0;  g [118] =   36;  b [118] =  160;
  r [119] =    0;  g [119] =   37;  b [119] =  161;
  r [120] =    0;  g [120] =   39;  b [120] =  162;
  r [121] =    0;  g [121] =   41;  b [121] =  164;
  r [122] =    0;  g [122] =   42;  b [122] =  165;
  r [123] =    0;  g [123] =   44;  b [123] =  166;
  r [124] =    0;  g [124] =   45;  b [124] =  168;
  r [125] =    0;  g [125] =   47;  b [125] =  169;
  r [126] =    0;  g [126] =   49;  b [126] =  170;
  r [127] =    0;  g [127] =   50;  b [127] =  172;
  r [128] =    0;  g [128] =   52;  b [128] =  173;
  r [129] =    0;  g [129] =   53;  b [129] =  174;
  r [130] =    0;  g [130] =   55;  b [130] =  176;
  r [131] =    0;  g [131] =   57;  b [131] =  177;
  r [132] =    0;  g [132] =   58;  b [132] =  179;
  r [133] =    0;  g [133] =   60;  b [133] =  180;
  r [134] =    0;  g [134] =   61;  b [134] =  181;
  r [135] =    0;  g [135] =   63;  b [135] =  183;
  r [136] =    0;  g [136] =   65;  b [136] =  184;
  r [137] =    0;  g [137] =   66;  b [137] =  185;
  r [138] =    0;  g [138] =   68;  b [138] =  187;
  r [139] =    0;  g [139] =   69;  b [139] =  188;
  r [140] =    0;  g [140] =   71;  b [140] =  189;
  r [141] =    0;  g [141] =   73;  b [141] =  191;
  r [142] =    0;  g [142] =   74;  b [142] =  192;
  r [143] =    0;  g [143] =   76;  b [143] =  193;
  r [144] =    0;  g [144] =   77;  b [144] =  195;
  r [145] =    0;  g [145] =   79;  b [145] =  196;
  r [146] =    0;  g [146] =   81;  b [146] =  198;
  r [147] =    0;  g [147] =   82;  b [147] =  199;
  r [148] =    0;  g [148] =   84;  b [148] =  200;
  r [149] =    0;  g [149] =   85;  b [149] =  202;
  r [150] =    0;  g [150] =   87;  b [150] =  203;
  r [151] =    0;  g [151] =   89;  b [151] =  204;
  r [152] =    0;  g [152] =   90;  b [152] =  206;
  r [153] =    0;  g [153] =   92;  b [153] =  207;
  r [154] =    0;  g [154] =   94;  b [154] =  208;
  r [155] =    0;  g [155] =   95;  b [155] =  210;
  r [156] =    0;  g [156] =   97;  b [156] =  211;
  r [157] =    0;  g [157] =   98;  b [157] =  212;
  r [158] =    0;  g [158] =  100;  b [158] =  214;
  r [159] =    0;  g [159] =  102;  b [159] =  215;
  r [160] =    0;  g [160] =  103;  b [160] =  217;
  r [161] =    0;  g [161] =  105;  b [161] =  218;
  r [162] =    0;  g [162] =  106;  b [162] =  219;
  r [163] =    0;  g [163] =  108;  b [163] =  221;
  r [164] =    0;  g [164] =  110;  b [164] =  222;
  r [165] =    0;  g [165] =  111;  b [165] =  223;
  r [166] =    0;  g [166] =  113;  b [166] =  225;
  r [167] =    0;  g [167] =  114;  b [167] =  226;
  r [168] =    0;  g [168] =  116;  b [168] =  227;
  r [169] =    0;  g [169] =  118;  b [169] =  229;
  r [170] =    0;  g [170] =  119;  b [170] =  230;
  r [171] =    0;  g [171] =  121;  b [171] =  231;
  r [172] =    0;  g [172] =  122;  b [172] =  233;
  r [173] =    0;  g [173] =  124;  b [173] =  234;
  r [174] =    0;  g [174] =  126;  b [174] =  236;
  r [175] =    0;  g [175] =  127;  b [175] =  237;
  r [176] =    0;  g [176] =  129;  b [176] =  238;
  r [177] =    0;  g [177] =  130;  b [177] =  240;
  r [178] =    0;  g [178] =  132;  b [178] =  241;
  r [179] =    0;  g [179] =  134;  b [179] =  242;
  r [180] =    0;  g [180] =  135;  b [180] =  244;
  r [181] =    0;  g [181] =  137;  b [181] =  245;
  r [182] =    0;  g [182] =  138;  b [182] =  246;
  r [183] =    0;  g [183] =  140;  b [183] =  248;
  r [184] =    0;  g [184] =  142;  b [184] =  249;
  r [185] =    0;  g [185] =  143;  b [185] =  250;
  r [186] =    0;  g [186] =  145;  b [186] =  252;
  r [187] =    0;  g [187] =  146;  b [187] =  253;
  r [188] =    0;  g [188] =  148;  b [188] =  255;
  r [189] =    0;  g [189] =  150;  b [189] =  255;
  r [190] =    0;  g [190] =  151;  b [190] =  255;
  r [191] =    0;  g [191] =  153;  b [191] =  255;
  r [192] =    0;  g [192] =  154;  b [192] =  255;
  r [193] =    5;  g [193] =  156;  b [193] =  255;
  r [194] =    9;  g [194] =  158;  b [194] =  255;
  r [195] =   13;  g [195] =  159;  b [195] =  255;
  r [196] =   17;  g [196] =  161;  b [196] =  255;
  r [197] =   21;  g [197] =  162;  b [197] =  255;
  r [198] =   25;  g [198] =  164;  b [198] =  255;
  r [199] =   29;  g [199] =  166;  b [199] =  255;
  r [200] =   33;  g [200] =  167;  b [200] =  255;
  r [201] =   37;  g [201] =  169;  b [201] =  255;
  r [202] =   41;  g [202] =  170;  b [202] =  255;
  r [203] =   45;  g [203] =  172;  b [203] =  255;
  r [204] =   49;  g [204] =  174;  b [204] =  255;
  r [205] =   53;  g [205] =  175;  b [205] =  255;
  r [206] =   57;  g [206] =  177;  b [206] =  255;
  r [207] =   61;  g [207] =  179;  b [207] =  255;
  r [208] =   65;  g [208] =  180;  b [208] =  255;
  r [209] =   69;  g [209] =  182;  b [209] =  255;
  r [210] =   73;  g [210] =  183;  b [210] =  255;
  r [211] =   77;  g [211] =  185;  b [211] =  255;
  r [212] =   81;  g [212] =  187;  b [212] =  255;
  r [213] =   85;  g [213] =  188;  b [213] =  255;
  r [214] =   90;  g [214] =  190;  b [214] =  255;
  r [215] =   94;  g [215] =  191;  b [215] =  255;
  r [216] =   98;  g [216] =  193;  b [216] =  255;
  r [217] =  102;  g [217] =  195;  b [217] =  255;
  r [218] =  106;  g [218] =  196;  b [218] =  255;
  r [219] =  110;  g [219] =  198;  b [219] =  255;
  r [220] =  114;  g [220] =  199;  b [220] =  255;
  r [221] =  118;  g [221] =  201;  b [221] =  255;
  r [222] =  122;  g [222] =  203;  b [222] =  255;
  r [223] =  126;  g [223] =  204;  b [223] =  255;
  r [224] =  130;  g [224] =  206;  b [224] =  255;
  r [225] =  134;  g [225] =  207;  b [225] =  255;
  r [226] =  138;  g [226] =  209;  b [226] =  255;
  r [227] =  142;  g [227] =  211;  b [227] =  255;
  r [228] =  146;  g [228] =  212;  b [228] =  255;
  r [229] =  150;  g [229] =  214;  b [229] =  255;
  r [230] =  154;  g [230] =  215;  b [230] =  255;
  r [231] =  158;  g [231] =  217;  b [231] =  255;
  r [232] =  162;  g [232] =  219;  b [232] =  255;
  r [233] =  166;  g [233] =  220;  b [233] =  255;
  r [234] =  170;  g [234] =  222;  b [234] =  255;
  r [235] =  175;  g [235] =  223;  b [235] =  255;
  r [236] =  179;  g [236] =  225;  b [236] =  255;
  r [237] =  183;  g [237] =  227;  b [237] =  255;
  r [238] =  187;  g [238] =  228;  b [238] =  255;
  r [239] =  191;  g [239] =  230;  b [239] =  255;
  r [240] =  195;  g [240] =  231;  b [240] =  255;
  r [241] =  199;  g [241] =  233;  b [241] =  255;
  r [242] =  203;  g [242] =  235;  b [242] =  255;
  r [243] =  207;  g [243] =  236;  b [243] =  255;
  r [244] =  211;  g [244] =  238;  b [244] =  255;
  r [245] =  215;  g [245] =  239;  b [245] =  255;
  r [246] =  219;  g [246] =  241;  b [246] =  255;
  r [247] =  223;  g [247] =  243;  b [247] =  255;
  r [248] =  227;  g [248] =  244;  b [248] =  255;
  r [249] =  231;  g [249] =  246;  b [249] =  255;
  r [250] =  235;  g [250] =  247;  b [250] =  255;
  r [251] =  239;  g [251] =  249;  b [251] =  255;
  r [252] =  243;  g [252] =  251;  b [252] =  255;
  r [253] =  247;  g [253] =  252;  b [253] =  255;
  r [254] =  251;  g [254] =  254;  b [254] =  255;
  r [255] =  255;  g [255] =  255;  b [255] =  255;
}
void ct_green(unsigned char *r, unsigned char *g, unsigned char *b)
/*
 *
 * RGB Color table, GREEN/WHITE LINEAR
 *
 */
{
  r [  0] =    0;  g [  0] =    0;  b [  0] =    0;
  r [  1] =    0;  g [  1] =    1;  b [  1] =    0;
  r [  2] =    0;  g [  2] =    2;  b [  2] =    0;
  r [  3] =    0;  g [  3] =    3;  b [  3] =    0;
  r [  4] =    0;  g [  4] =    4;  b [  4] =    0;
  r [  5] =    0;  g [  5] =    5;  b [  5] =    0;
  r [  6] =    0;  g [  6] =    6;  b [  6] =    0;
  r [  7] =    0;  g [  7] =    7;  b [  7] =    0;
  r [  8] =    0;  g [  8] =    8;  b [  8] =    0;
  r [  9] =    0;  g [  9] =    9;  b [  9] =    0;
  r [ 10] =    0;  g [ 10] =   10;  b [ 10] =    0;
  r [ 11] =    0;  g [ 11] =   11;  b [ 11] =    0;
  r [ 12] =    0;  g [ 12] =   12;  b [ 12] =    0;
  r [ 13] =    0;  g [ 13] =   13;  b [ 13] =    0;
  r [ 14] =    0;  g [ 14] =   14;  b [ 14] =    0;
  r [ 15] =    0;  g [ 15] =   15;  b [ 15] =    0;
  r [ 16] =    0;  g [ 16] =   16;  b [ 16] =    0;
  r [ 17] =    0;  g [ 17] =   17;  b [ 17] =    0;
  r [ 18] =    0;  g [ 18] =   18;  b [ 18] =    0;
  r [ 19] =    0;  g [ 19] =   19;  b [ 19] =    0;
  r [ 20] =    0;  g [ 20] =   20;  b [ 20] =    0;
  r [ 21] =    0;  g [ 21] =   21;  b [ 21] =    0;
  r [ 22] =    0;  g [ 22] =   22;  b [ 22] =    0;
  r [ 23] =    0;  g [ 23] =   23;  b [ 23] =    0;
  r [ 24] =    0;  g [ 24] =   24;  b [ 24] =    0;
  r [ 25] =    0;  g [ 25] =   25;  b [ 25] =    0;
  r [ 26] =    0;  g [ 26] =   26;  b [ 26] =    0;
  r [ 27] =    0;  g [ 27] =   27;  b [ 27] =    0;
  r [ 28] =    0;  g [ 28] =   28;  b [ 28] =    0;
  r [ 29] =    0;  g [ 29] =   29;  b [ 29] =    0;
  r [ 30] =    0;  g [ 30] =   30;  b [ 30] =    0;
  r [ 31] =    0;  g [ 31] =   31;  b [ 31] =    0;
  r [ 32] =    0;  g [ 32] =   32;  b [ 32] =    0;
  r [ 33] =    0;  g [ 33] =   33;  b [ 33] =    0;
  r [ 34] =    0;  g [ 34] =   34;  b [ 34] =    0;
  r [ 35] =    0;  g [ 35] =   35;  b [ 35] =    0;
  r [ 36] =    0;  g [ 36] =   36;  b [ 36] =    0;
  r [ 37] =    0;  g [ 37] =   37;  b [ 37] =    0;
  r [ 38] =    0;  g [ 38] =   38;  b [ 38] =    0;
  r [ 39] =    0;  g [ 39] =   39;  b [ 39] =    0;
  r [ 40] =    0;  g [ 40] =   40;  b [ 40] =    0;
  r [ 41] =    0;  g [ 41] =   41;  b [ 41] =    0;
  r [ 42] =    0;  g [ 42] =   42;  b [ 42] =    0;
  r [ 43] =    0;  g [ 43] =   43;  b [ 43] =    0;
  r [ 44] =    0;  g [ 44] =   44;  b [ 44] =    0;
  r [ 45] =    0;  g [ 45] =   45;  b [ 45] =    0;
  r [ 46] =    0;  g [ 46] =   46;  b [ 46] =    0;
  r [ 47] =    0;  g [ 47] =   47;  b [ 47] =    0;
  r [ 48] =    0;  g [ 48] =   48;  b [ 48] =    0;
  r [ 49] =    0;  g [ 49] =   49;  b [ 49] =    0;
  r [ 50] =    0;  g [ 50] =   50;  b [ 50] =    0;
  r [ 51] =    0;  g [ 51] =   51;  b [ 51] =    0;
  r [ 52] =    0;  g [ 52] =   52;  b [ 52] =    0;
  r [ 53] =    0;  g [ 53] =   53;  b [ 53] =    0;
  r [ 54] =    0;  g [ 54] =   54;  b [ 54] =    0;
  r [ 55] =    0;  g [ 55] =   55;  b [ 55] =    0;
  r [ 56] =    0;  g [ 56] =   56;  b [ 56] =    0;
  r [ 57] =    0;  g [ 57] =   57;  b [ 57] =    0;
  r [ 58] =    0;  g [ 58] =   58;  b [ 58] =    0;
  r [ 59] =    0;  g [ 59] =   59;  b [ 59] =    0;
  r [ 60] =    0;  g [ 60] =   60;  b [ 60] =    0;
  r [ 61] =    0;  g [ 61] =   61;  b [ 61] =    0;
  r [ 62] =    0;  g [ 62] =   62;  b [ 62] =    0;
  r [ 63] =    0;  g [ 63] =   63;  b [ 63] =    0;
  r [ 64] =    0;  g [ 64] =   64;  b [ 64] =    0;
  r [ 65] =    0;  g [ 65] =   65;  b [ 65] =    0;
  r [ 66] =    0;  g [ 66] =   66;  b [ 66] =    0;
  r [ 67] =    0;  g [ 67] =   67;  b [ 67] =    0;
  r [ 68] =    0;  g [ 68] =   68;  b [ 68] =    0;
  r [ 69] =    0;  g [ 69] =   69;  b [ 69] =    0;
  r [ 70] =    0;  g [ 70] =   70;  b [ 70] =    0;
  r [ 71] =    0;  g [ 71] =   71;  b [ 71] =    0;
  r [ 72] =    0;  g [ 72] =   72;  b [ 72] =    0;
  r [ 73] =    0;  g [ 73] =   73;  b [ 73] =    0;
  r [ 74] =    0;  g [ 74] =   74;  b [ 74] =    0;
  r [ 75] =    0;  g [ 75] =   75;  b [ 75] =    0;
  r [ 76] =    0;  g [ 76] =   76;  b [ 76] =    0;
  r [ 77] =    0;  g [ 77] =   77;  b [ 77] =    0;
  r [ 78] =    0;  g [ 78] =   78;  b [ 78] =    0;
  r [ 79] =    0;  g [ 79] =   79;  b [ 79] =    0;
  r [ 80] =    0;  g [ 80] =   80;  b [ 80] =    0;
  r [ 81] =    0;  g [ 81] =   81;  b [ 81] =    0;
  r [ 82] =    0;  g [ 82] =   82;  b [ 82] =    0;
  r [ 83] =    0;  g [ 83] =   83;  b [ 83] =    0;
  r [ 84] =    0;  g [ 84] =   84;  b [ 84] =    0;
  r [ 85] =    0;  g [ 85] =   85;  b [ 85] =    0;
  r [ 86] =    0;  g [ 86] =   86;  b [ 86] =    0;
  r [ 87] =    0;  g [ 87] =   87;  b [ 87] =    0;
  r [ 88] =    0;  g [ 88] =   88;  b [ 88] =    0;
  r [ 89] =    0;  g [ 89] =   89;  b [ 89] =    0;
  r [ 90] =    0;  g [ 90] =   90;  b [ 90] =    0;
  r [ 91] =    0;  g [ 91] =   91;  b [ 91] =    0;
  r [ 92] =    0;  g [ 92] =   92;  b [ 92] =    0;
  r [ 93] =    0;  g [ 93] =   93;  b [ 93] =    0;
  r [ 94] =    0;  g [ 94] =   94;  b [ 94] =    0;
  r [ 95] =    0;  g [ 95] =   95;  b [ 95] =    0;
  r [ 96] =    0;  g [ 96] =   96;  b [ 96] =    0;
  r [ 97] =    0;  g [ 97] =   97;  b [ 97] =    0;
  r [ 98] =    1;  g [ 98] =   98;  b [ 98] =    0;
  r [ 99] =    3;  g [ 99] =   99;  b [ 99] =    0;
  r [100] =    4;  g [100] =  100;  b [100] =    0;
  r [101] =    6;  g [101] =  101;  b [101] =    0;
  r [102] =    8;  g [102] =  102;  b [102] =    0;
  r [103] =    9;  g [103] =  103;  b [103] =    0;
  r [104] =   11;  g [104] =  104;  b [104] =    0;
  r [105] =   12;  g [105] =  105;  b [105] =    0;
  r [106] =   14;  g [106] =  106;  b [106] =    0;
  r [107] =   16;  g [107] =  107;  b [107] =    0;
  r [108] =   17;  g [108] =  108;  b [108] =    0;
  r [109] =   19;  g [109] =  109;  b [109] =    0;
  r [110] =   20;  g [110] =  110;  b [110] =    0;
  r [111] =   22;  g [111] =  111;  b [111] =    0;
  r [112] =   24;  g [112] =  112;  b [112] =    0;
  r [113] =   25;  g [113] =  113;  b [113] =    0;
  r [114] =   27;  g [114] =  114;  b [114] =    0;
  r [115] =   29;  g [115] =  115;  b [115] =    0;
  r [116] =   30;  g [116] =  116;  b [116] =    0;
  r [117] =   32;  g [117] =  117;  b [117] =    0;
  r [118] =   33;  g [118] =  118;  b [118] =    0;
  r [119] =   35;  g [119] =  119;  b [119] =    0;
  r [120] =   37;  g [120] =  120;  b [120] =    0;
  r [121] =   38;  g [121] =  121;  b [121] =    0;
  r [122] =   40;  g [122] =  122;  b [122] =    0;
  r [123] =   41;  g [123] =  123;  b [123] =    0;
  r [124] =   43;  g [124] =  124;  b [124] =    0;
  r [125] =   45;  g [125] =  125;  b [125] =    0;
  r [126] =   46;  g [126] =  126;  b [126] =    0;
  r [127] =   48;  g [127] =  127;  b [127] =    0;
  r [128] =   50;  g [128] =  128;  b [128] =    0;
  r [129] =   51;  g [129] =  129;  b [129] =    0;
  r [130] =   53;  g [130] =  130;  b [130] =    0;
  r [131] =   54;  g [131] =  131;  b [131] =    0;
  r [132] =   56;  g [132] =  132;  b [132] =    0;
  r [133] =   58;  g [133] =  133;  b [133] =    0;
  r [134] =   59;  g [134] =  134;  b [134] =    0;
  r [135] =   61;  g [135] =  135;  b [135] =    0;
  r [136] =   62;  g [136] =  136;  b [136] =    0;
  r [137] =   64;  g [137] =  137;  b [137] =    0;
  r [138] =   66;  g [138] =  138;  b [138] =    0;
  r [139] =   67;  g [139] =  139;  b [139] =    0;
  r [140] =   69;  g [140] =  140;  b [140] =    0;
  r [141] =   71;  g [141] =  141;  b [141] =    0;
  r [142] =   72;  g [142] =  142;  b [142] =    0;
  r [143] =   74;  g [143] =  143;  b [143] =    0;
  r [144] =   75;  g [144] =  144;  b [144] =    0;
  r [145] =   77;  g [145] =  145;  b [145] =    0;
  r [146] =   79;  g [146] =  146;  b [146] =    0;
  r [147] =   80;  g [147] =  147;  b [147] =    0;
  r [148] =   82;  g [148] =  148;  b [148] =    0;
  r [149] =   83;  g [149] =  149;  b [149] =    0;
  r [150] =   85;  g [150] =  150;  b [150] =    0;
  r [151] =   87;  g [151] =  151;  b [151] =    0;
  r [152] =   88;  g [152] =  152;  b [152] =    0;
  r [153] =   90;  g [153] =  153;  b [153] =    0;
  r [154] =   91;  g [154] =  154;  b [154] =    0;
  r [155] =   93;  g [155] =  155;  b [155] =    0;
  r [156] =   95;  g [156] =  156;  b [156] =    0;
  r [157] =   96;  g [157] =  157;  b [157] =    0;
  r [158] =   98;  g [158] =  158;  b [158] =    0;
  r [159] =  100;  g [159] =  159;  b [159] =    0;
  r [160] =  101;  g [160] =  160;  b [160] =    0;
  r [161] =  103;  g [161] =  161;  b [161] =    0;
  r [162] =  104;  g [162] =  162;  b [162] =    0;
  r [163] =  106;  g [163] =  163;  b [163] =    0;
  r [164] =  108;  g [164] =  164;  b [164] =    0;
  r [165] =  109;  g [165] =  165;  b [165] =    0;
  r [166] =  111;  g [166] =  166;  b [166] =    0;
  r [167] =  112;  g [167] =  167;  b [167] =    0;
  r [168] =  114;  g [168] =  168;  b [168] =    0;
  r [169] =  116;  g [169] =  169;  b [169] =    0;
  r [170] =  117;  g [170] =  170;  b [170] =    0;
  r [171] =  119;  g [171] =  171;  b [171] =    0;
  r [172] =  121;  g [172] =  172;  b [172] =    0;
  r [173] =  122;  g [173] =  173;  b [173] =    0;
  r [174] =  124;  g [174] =  174;  b [174] =    0;
  r [175] =  125;  g [175] =  175;  b [175] =    0;
  r [176] =  127;  g [176] =  176;  b [176] =    0;
  r [177] =  129;  g [177] =  177;  b [177] =    0;
  r [178] =  130;  g [178] =  178;  b [178] =    0;
  r [179] =  132;  g [179] =  179;  b [179] =    0;
  r [180] =  133;  g [180] =  180;  b [180] =    0;
  r [181] =  135;  g [181] =  181;  b [181] =    0;
  r [182] =  137;  g [182] =  182;  b [182] =    3;
  r [183] =  138;  g [183] =  183;  b [183] =    6;
  r [184] =  140;  g [184] =  184;  b [184] =   10;
  r [185] =  142;  g [185] =  185;  b [185] =   13;
  r [186] =  143;  g [186] =  186;  b [186] =   17;
  r [187] =  145;  g [187] =  187;  b [187] =   20;
  r [188] =  146;  g [188] =  188;  b [188] =   24;
  r [189] =  148;  g [189] =  189;  b [189] =   27;
  r [190] =  150;  g [190] =  190;  b [190] =   31;
  r [191] =  151;  g [191] =  191;  b [191] =   34;
  r [192] =  153;  g [192] =  192;  b [192] =   37;
  r [193] =  154;  g [193] =  193;  b [193] =   41;
  r [194] =  156;  g [194] =  194;  b [194] =   44;
  r [195] =  158;  g [195] =  195;  b [195] =   48;
  r [196] =  159;  g [196] =  196;  b [196] =   51;
  r [197] =  161;  g [197] =  197;  b [197] =   55;
  r [198] =  163;  g [198] =  198;  b [198] =   58;
  r [199] =  164;  g [199] =  199;  b [199] =   62;
  r [200] =  166;  g [200] =  200;  b [200] =   65;
  r [201] =  167;  g [201] =  201;  b [201] =   68;
  r [202] =  169;  g [202] =  202;  b [202] =   72;
  r [203] =  171;  g [203] =  203;  b [203] =   75;
  r [204] =  172;  g [204] =  204;  b [204] =   79;
  r [205] =  174;  g [205] =  205;  b [205] =   82;
  r [206] =  175;  g [206] =  206;  b [206] =   86;
  r [207] =  177;  g [207] =  207;  b [207] =   89;
  r [208] =  179;  g [208] =  208;  b [208] =   93;
  r [209] =  180;  g [209] =  209;  b [209] =   96;
  r [210] =  182;  g [210] =  210;  b [210] =   99;
  r [211] =  183;  g [211] =  211;  b [211] =  103;
  r [212] =  185;  g [212] =  212;  b [212] =  106;
  r [213] =  187;  g [213] =  213;  b [213] =  110;
  r [214] =  188;  g [214] =  214;  b [214] =  113;
  r [215] =  190;  g [215] =  215;  b [215] =  117;
  r [216] =  192;  g [216] =  216;  b [216] =  120;
  r [217] =  193;  g [217] =  217;  b [217] =  124;
  r [218] =  195;  g [218] =  218;  b [218] =  127;
  r [219] =  196;  g [219] =  219;  b [219] =  130;
  r [220] =  198;  g [220] =  220;  b [220] =  134;
  r [221] =  200;  g [221] =  221;  b [221] =  137;
  r [222] =  201;  g [222] =  222;  b [222] =  141;
  r [223] =  203;  g [223] =  223;  b [223] =  144;
  r [224] =  204;  g [224] =  224;  b [224] =  148;
  r [225] =  206;  g [225] =  225;  b [225] =  151;
  r [226] =  208;  g [226] =  226;  b [226] =  155;
  r [227] =  209;  g [227] =  227;  b [227] =  158;
  r [228] =  211;  g [228] =  228;  b [228] =  161;
  r [229] =  213;  g [229] =  229;  b [229] =  165;
  r [230] =  214;  g [230] =  230;  b [230] =  168;
  r [231] =  216;  g [231] =  231;  b [231] =  172;
  r [232] =  217;  g [232] =  232;  b [232] =  175;
  r [233] =  219;  g [233] =  233;  b [233] =  179;
  r [234] =  221;  g [234] =  234;  b [234] =  182;
  r [235] =  222;  g [235] =  235;  b [235] =  186;
  r [236] =  224;  g [236] =  236;  b [236] =  189;
  r [237] =  225;  g [237] =  237;  b [237] =  192;
  r [238] =  227;  g [238] =  238;  b [238] =  196;
  r [239] =  229;  g [239] =  239;  b [239] =  199;
  r [240] =  230;  g [240] =  240;  b [240] =  203;
  r [241] =  232;  g [241] =  241;  b [241] =  206;
  r [242] =  234;  g [242] =  242;  b [242] =  210;
  r [243] =  235;  g [243] =  243;  b [243] =  213;
  r [244] =  237;  g [244] =  244;  b [244] =  217;
  r [245] =  238;  g [245] =  245;  b [245] =  220;
  r [246] =  240;  g [246] =  246;  b [246] =  223;
  r [247] =  242;  g [247] =  247;  b [247] =  227;
  r [248] =  243;  g [248] =  248;  b [248] =  230;
  r [249] =  245;  g [249] =  249;  b [249] =  234;
  r [250] =  246;  g [250] =  250;  b [250] =  237;
  r [251] =  248;  g [251] =  251;  b [251] =  241;
  r [252] =  250;  g [252] =  252;  b [252] =  244;
  r [253] =  251;  g [253] =  253;  b [253] =  248;
  r [254] =  253;  g [254] =  254;  b [254] =  251;
  r [255] =  255;  g [255] =  255;  b [255] =  255;
}


void ct_jet(unsigned char *r, unsigned char *g, unsigned char *b)
{
r [0] =3;  g [0] =0;  b [0] =0;
r [1] =5;  g [1] =0;  b [1] =0;
r [2] =8;  g [2] =0;  b [2] =0;
r [3] =11;  g [3] =0;  b [3] =0;
r [4] =13;  g [4] =0;  b [4] =0;
r [5] =16;  g [5] =0;  b [5] =0;
r [6] =19;  g [6] =0;  b [6] =0;
r [7] =21;  g [7] =0;  b [7] =0;
r [8] =24;  g [8] =0;  b [8] =0;
r [9] =27;  g [9] =0;  b [9] =0;
r [10] =29;  g [10] =0;  b [10] =0;
r [11] =32;  g [11] =0;  b [11] =0;
r [12] =35;  g [12] =0;  b [12] =0;
r [13] =37;  g [13] =0;  b [13] =0;
r [14] =40;  g [14] =0;  b [14] =0;
r [15] =42;  g [15] =0;  b [15] =0;
r [16] =45;  g [16] =0;  b [16] =0;
r [17] =48;  g [17] =0;  b [17] =0;
r [18] =50;  g [18] =0;  b [18] =0;
r [19] =53;  g [19] =0;  b [19] =0;
r [20] =56;  g [20] =0;  b [20] =0;
r [21] =58;  g [21] =0;  b [21] =0;
r [22] =61;  g [22] =0;  b [22] =0;
r [23] =64;  g [23] =0;  b [23] =0;
r [24] =66;  g [24] =0;  b [24] =0;
r [25] =69;  g [25] =0;  b [25] =0;
r [26] =72;  g [26] =0;  b [26] =0;
r [27] =74;  g [27] =0;  b [27] =0;
r [28] =77;  g [28] =0;  b [28] =0;
r [29] =80;  g [29] =0;  b [29] =0;
r [30] =82;  g [30] =0;  b [30] =0;
r [31] =85;  g [31] =0;  b [31] =0;
r [32] =88;  g [32] =0;  b [32] =0;
r [33] =90;  g [33] =0;  b [33] =0;
r [34] =93;  g [34] =0;  b [34] =0;
r [35] =96;  g [35] =0;  b [35] =0;
r [36] =98;  g [36] =0;  b [36] =0;
r [37] =101;  g [37] =0;  b [37] =0;
r [38] =104;  g [38] =0;  b [38] =0;
r [39] =106;  g [39] =0;  b [39] =0;
r [40] =109;  g [40] =0;  b [40] =0;
r [41] =112;  g [41] =0;  b [41] =0;
r [42] =114;  g [42] =0;  b [42] =0;
r [43] =117;  g [43] =0;  b [43] =0;
r [44] =120;  g [44] =0;  b [44] =0;
r [45] =122;  g [45] =0;  b [45] =0;
r [46] =125;  g [46] =0;  b [46] =0;
r [47] =127;  g [47] =0;  b [47] =0;
r [48] =130;  g [48] =0;  b [48] =0;
r [49] =133;  g [49] =0;  b [49] =0;
r [50] =135;  g [50] =0;  b [50] =0;
r [51] =138;  g [51] =0;  b [51] =0;
r [52] =141;  g [52] =0;  b [52] =0;
r [53] =143;  g [53] =0;  b [53] =0;
r [54] =146;  g [54] =0;  b [54] =0;
r [55] =149;  g [55] =0;  b [55] =0;
r [56] =151;  g [56] =0;  b [56] =0;
r [57] =154;  g [57] =0;  b [57] =0;
r [58] =157;  g [58] =0;  b [58] =0;
r [59] =159;  g [59] =0;  b [59] =0;
r [60] =162;  g [60] =0;  b [60] =0;
r [61] =165;  g [61] =0;  b [61] =0;
r [62] =167;  g [62] =0;  b [62] =0;
r [63] =170;  g [63] =0;  b [63] =0;
r [64] =173;  g [64] =0;  b [64] =0;
r [65] =175;  g [65] =0;  b [65] =0;
r [66] =178;  g [66] =0;  b [66] =0;
r [67] =181;  g [67] =0;  b [67] =0;
r [68] =183;  g [68] =0;  b [68] =0;
r [69] =186;  g [69] =0;  b [69] =0;
r [70] =189;  g [70] =0;  b [70] =0;
r [71] =191;  g [71] =0;  b [71] =0;
r [72] =194;  g [72] =0;  b [72] =0;
r [73] =197;  g [73] =0;  b [73] =0;
r [74] =199;  g [74] =0;  b [74] =0;
r [75] =202;  g [75] =0;  b [75] =0;
r [76] =205;  g [76] =0;  b [76] =0;
r [77] =207;  g [77] =0;  b [77] =0;
r [78] =210;  g [78] =0;  b [78] =0;
r [79] =212;  g [79] =0;  b [79] =0;
r [80] =215;  g [80] =0;  b [80] =0;
r [81] =218;  g [81] =0;  b [81] =0;
r [82] =220;  g [82] =0;  b [82] =0;
r [83] =223;  g [83] =0;  b [83] =0;
r [84] =226;  g [84] =0;  b [84] =0;
r [85] =228;  g [85] =0;  b [85] =0;
r [86] =231;  g [86] =0;  b [86] =0;
r [87] =234;  g [87] =0;  b [87] =0;
r [88] =236;  g [88] =0;  b [88] =0;
r [89] =239;  g [89] =0;  b [89] =0;
r [90] =242;  g [90] =0;  b [90] =0;
r [91] =244;  g [91] =0;  b [91] =0;
r [92] =247;  g [92] =0;  b [92] =0;
r [93] =250;  g [93] =0;  b [93] =0;
r [94] =252;  g [94] =0;  b [94] =0;
r [95] =255;  g [95] =0;  b [95] =0;
r [96] =255;  g [96] =3;  b [96] =0;
r [97] =255;  g [97] =5;  b [97] =0;
r [98] =255;  g [98] =8;  b [98] =0;
r [99] =255;  g [99] =11;  b [99] =0;
r [100] =255;  g [100] =13;  b [100] =0;
r [101] =255;  g [101] =16;  b [101] =0;
r [102] =255;  g [102] =19;  b [102] =0;
r [103] =255;  g [103] =21;  b [103] =0;
r [104] =255;  g [104] =24;  b [104] =0;
r [105] =255;  g [105] =27;  b [105] =0;
r [106] =255;  g [106] =29;  b [106] =0;
r [107] =255;  g [107] =32;  b [107] =0;
r [108] =255;  g [108] =35;  b [108] =0;
r [109] =255;  g [109] =37;  b [109] =0;
r [110] =255;  g [110] =40;  b [110] =0;
r [111] =255;  g [111] =42;  b [111] =0;
r [112] =255;  g [112] =45;  b [112] =0;
r [113] =255;  g [113] =48;  b [113] =0;
r [114] =255;  g [114] =50;  b [114] =0;
r [115] =255;  g [115] =53;  b [115] =0;
r [116] =255;  g [116] =56;  b [116] =0;
r [117] =255;  g [117] =58;  b [117] =0;
r [118] =255;  g [118] =61;  b [118] =0;
r [119] =255;  g [119] =64;  b [119] =0;
r [120] =255;  g [120] =66;  b [120] =0;
r [121] =255;  g [121] =69;  b [121] =0;
r [122] =255;  g [122] =72;  b [122] =0;
r [123] =255;  g [123] =74;  b [123] =0;
r [124] =255;  g [124] =77;  b [124] =0;
r [125] =255;  g [125] =80;  b [125] =0;
r [126] =255;  g [126] =82;  b [126] =0;
r [127] =255;  g [127] =85;  b [127] =0;
r [128] =255;  g [128] =88;  b [128] =0;
r [129] =255;  g [129] =90;  b [129] =0;
r [130] =255;  g [130] =93;  b [130] =0;
r [131] =255;  g [131] =96;  b [131] =0;
r [132] =255;  g [132] =98;  b [132] =0;
r [133] =255;  g [133] =101;  b [133] =0;
r [134] =255;  g [134] =104;  b [134] =0;
r [135] =255;  g [135] =106;  b [135] =0;
r [136] =255;  g [136] =109;  b [136] =0;
r [137] =255;  g [137] =112;  b [137] =0;
r [138] =255;  g [138] =114;  b [138] =0;
r [139] =255;  g [139] =117;  b [139] =0;
r [140] =255;  g [140] =120;  b [140] =0;
r [141] =255;  g [141] =122;  b [141] =0;
r [142] =255;  g [142] =125;  b [142] =0;
r [143] =255;  g [143] =127;  b [143] =0;
r [144] =255;  g [144] =130;  b [144] =0;
r [145] =255;  g [145] =133;  b [145] =0;
r [146] =255;  g [146] =135;  b [146] =0;
r [147] =255;  g [147] =138;  b [147] =0;
r [148] =255;  g [148] =141;  b [148] =0;
r [149] =255;  g [149] =143;  b [149] =0;
r [150] =255;  g [150] =146;  b [150] =0;
r [151] =255;  g [151] =149;  b [151] =0;
r [152] =255;  g [152] =151;  b [152] =0;
r [153] =255;  g [153] =154;  b [153] =0;
r [154] =255;  g [154] =157;  b [154] =0;
r [155] =255;  g [155] =159;  b [155] =0;
r [156] =255;  g [156] =162;  b [156] =0;
r [157] =255;  g [157] =165;  b [157] =0;
r [158] =255;  g [158] =167;  b [158] =0;
r [159] =255;  g [159] =170;  b [159] =0;
r [160] =255;  g [160] =173;  b [160] =0;
r [161] =255;  g [161] =175;  b [161] =0;
r [162] =255;  g [162] =178;  b [162] =0;
r [163] =255;  g [163] =181;  b [163] =0;
r [164] =255;  g [164] =183;  b [164] =0;
r [165] =255;  g [165] =186;  b [165] =0;
r [166] =255;  g [166] =189;  b [166] =0;
r [167] =255;  g [167] =191;  b [167] =0;
r [168] =255;  g [168] =194;  b [168] =0;
r [169] =255;  g [169] =197;  b [169] =0;
r [170] =255;  g [170] =199;  b [170] =0;
r [171] =255;  g [171] =202;  b [171] =0;
r [172] =255;  g [172] =205;  b [172] =0;
r [173] =255;  g [173] =207;  b [173] =0;
r [174] =255;  g [174] =210;  b [174] =0;
r [175] =255;  g [175] =212;  b [175] =0;
r [176] =255;  g [176] =215;  b [176] =0;
r [177] =255;  g [177] =218;  b [177] =0;
r [178] =255;  g [178] =220;  b [178] =0;
r [179] =255;  g [179] =223;  b [179] =0;
r [180] =255;  g [180] =226;  b [180] =0;
r [181] =255;  g [181] =228;  b [181] =0;
r [182] =255;  g [182] =231;  b [182] =0;
r [183] =255;  g [183] =234;  b [183] =0;
r [184] =255;  g [184] =236;  b [184] =0;
r [185] =255;  g [185] =239;  b [185] =0;
r [186] =255;  g [186] =242;  b [186] =0;
r [187] =255;  g [187] =244;  b [187] =0;
r [188] =255;  g [188] =247;  b [188] =0;
r [189] =255;  g [189] =250;  b [189] =0;
r [190] =255;  g [190] =252;  b [190] =0;
r [191] =255;  g [191] =255;  b [191] =0;
r [192] =255;  g [192] =255;  b [192] =4;
r [193] =255;  g [193] =255;  b [193] =8;
r [194] =255;  g [194] =255;  b [194] =12;
r [195] =255;  g [195] =255;  b [195] =16;
r [196] =255;  g [196] =255;  b [196] =20;
r [197] =255;  g [197] =255;  b [197] =24;
r [198] =255;  g [198] =255;  b [198] =28;
r [199] =255;  g [199] =255;  b [199] =32;
r [200] =255;  g [200] =255;  b [200] =36;
r [201] =255;  g [201] =255;  b [201] =40;
r [202] =255;  g [202] =255;  b [202] =44;
r [203] =255;  g [203] =255;  b [203] =48;
r [204] =255;  g [204] =255;  b [204] =52;
r [205] =255;  g [205] =255;  b [205] =56;
r [206] =255;  g [206] =255;  b [206] =60;
r [207] =255;  g [207] =255;  b [207] =64;
r [208] =255;  g [208] =255;  b [208] =68;
r [209] =255;  g [209] =255;  b [209] =72;
r [210] =255;  g [210] =255;  b [210] =76;
r [211] =255;  g [211] =255;  b [211] =80;
r [212] =255;  g [212] =255;  b [212] =84;
r [213] =255;  g [213] =255;  b [213] =88;
r [214] =255;  g [214] =255;  b [214] =92;
r [215] =255;  g [215] =255;  b [215] =96;
r [216] =255;  g [216] =255;  b [216] =100;
r [217] =255;  g [217] =255;  b [217] =104;
r [218] =255;  g [218] =255;  b [218] =108;
r [219] =255;  g [219] =255;  b [219] =112;
r [220] =255;  g [220] =255;  b [220] =116;
r [221] =255;  g [221] =255;  b [221] =120;
r [222] =255;  g [222] =255;  b [222] =124;
r [223] =255;  g [223] =255;  b [223] =127;
r [224] =255;  g [224] =255;  b [224] =131;
r [225] =255;  g [225] =255;  b [225] =135;
r [226] =255;  g [226] =255;  b [226] =139;
r [227] =255;  g [227] =255;  b [227] =143;
r [228] =255;  g [228] =255;  b [228] =147;
r [229] =255;  g [229] =255;  b [229] =151;
r [230] =255;  g [230] =255;  b [230] =155;
r [231] =255;  g [231] =255;  b [231] =159;
r [232] =255;  g [232] =255;  b [232] =163;
r [233] =255;  g [233] =255;  b [233] =167;
r [234] =255;  g [234] =255;  b [234] =171;
r [235] =255;  g [235] =255;  b [235] =175;
r [236] =255;  g [236] =255;  b [236] =179;
r [237] =255;  g [237] =255;  b [237] =183;
r [238] =255;  g [238] =255;  b [238] =187;
r [239] =255;  g [239] =255;  b [239] =191;
r [240] =255;  g [240] =255;  b [240] =195;
r [241] =255;  g [241] =255;  b [241] =199;
r [242] =255;  g [242] =255;  b [242] =203;
r [243] =255;  g [243] =255;  b [243] =207;
r [244] =255;  g [244] =255;  b [244] =211;
r [245] =255;  g [245] =255;  b [245] =215;
r [246] =255;  g [246] =255;  b [246] =219;
r [247] =255;  g [247] =255;  b [247] =223;
r [248] =255;  g [248] =255;  b [248] =227;
r [249] =255;  g [249] =255;  b [249] =231;
r [250] =255;  g [250] =255;  b [250] =235;
r [251] =255;  g [251] =255;  b [251] =239;
r [252] =255;  g [252] =255;  b [252] =243;
r [253] =255;  g [253] =255;  b [253] =247;
r [254] =255;  g [254] =255;  b [254] =251;
r [255] =255;  g [255] =255;  b [255] =255;
}
