import os
import numpy as np
import matplotlib.pyplot as plt
import pyPLUTO as pypl
import pyPLUTO.pload as pp

time   = np.loadtxt("kh.dat")[:, 0]
growth = np.loadtxt("kh.dat")[:, 1]
theory = np.exp(time*0.071/0.02)*growth[0]

plt.rcParams.update({'font.size': 15})
plt.title('Growth rate')
plt.plot(time,growth,label=r'$\Delta v_y(t)$')
plt.plot(time,theory,'r--',label=r'$e^{\omega t}$')
plt.axis([0.0,20,1.e-8,1.0])
plt.xlabel('t')
plt.ylabel(r'$\Delta v_y$')
plt.yscale('log')
plt.legend(loc = 4, frameon=False)
plt.tight_layout()
plt.savefig("KH_Growth_0.png")
plt.show()
