import os
from numpy import *
import matplotlib.pyplot as plt
import pyPLUTO as pypl
import pyPLUTO.pload as pp

plt.rcParams.update({'font.size': 15})

D = pp.pload(20, datatype='flt')
plt.title(r'Pressure, t = 0.05, $\beta$ = 1')

plt.contour(D.x1, D.x2, D.Ax3.T, 12, colors='gray',
linewidths=1.0, linestyles='solid')

plt.imshow(D.prs.T, extent=[D.x1.min(),D.x1.max(),
D.x2.min(),D.x2.max()], cmap='jet')

plt.colorbar()
plt.xlabel('x')
plt.ylabel('y')
plt.savefig("BW_final.png")
plt.show()



